depends = ('ITKPyBase', 'ITKThresholding', 'ITKImageIntensity', 'ITKFFT', )
templates = (
  ('ConvolutionImageFilterBase', 'itk::ConvolutionImageFilterBase', 'itkConvolutionImageFilterBaseISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ConvolutionImageFilterBase', 'itk::ConvolutionImageFilterBase', 'itkConvolutionImageFilterBaseISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ConvolutionImageFilterBase', 'itk::ConvolutionImageFilterBase', 'itkConvolutionImageFilterBaseISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('ConvolutionImageFilterBase', 'itk::ConvolutionImageFilterBase', 'itkConvolutionImageFilterBaseIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ConvolutionImageFilterBase', 'itk::ConvolutionImageFilterBase', 'itkConvolutionImageFilterBaseIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ConvolutionImageFilterBase', 'itk::ConvolutionImageFilterBase', 'itkConvolutionImageFilterBaseIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('ConvolutionImageFilterBase', 'itk::ConvolutionImageFilterBase', 'itkConvolutionImageFilterBaseIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('ConvolutionImageFilterBase', 'itk::ConvolutionImageFilterBase', 'itkConvolutionImageFilterBaseIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('ConvolutionImageFilterBase', 'itk::ConvolutionImageFilterBase', 'itkConvolutionImageFilterBaseIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('ConvolutionImageFilterBase', 'itk::ConvolutionImageFilterBase', 'itkConvolutionImageFilterBaseIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ConvolutionImageFilterBase', 'itk::ConvolutionImageFilterBase', 'itkConvolutionImageFilterBaseIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ConvolutionImageFilterBase', 'itk::ConvolutionImageFilterBase', 'itkConvolutionImageFilterBaseIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ConvolutionImageFilterBase', 'itk::ConvolutionImageFilterBase', 'itkConvolutionImageFilterBaseID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ConvolutionImageFilterBase', 'itk::ConvolutionImageFilterBase', 'itkConvolutionImageFilterBaseID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ConvolutionImageFilterBase', 'itk::ConvolutionImageFilterBase', 'itkConvolutionImageFilterBaseID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ConvolutionImageFilter', 'itk::ConvolutionImageFilter', 'itkConvolutionImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('FFTConvolutionImageFilter', 'itk::FFTConvolutionImageFilter', 'itkFFTConvolutionImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('FFTConvolutionImageFilter', 'itk::FFTConvolutionImageFilter', 'itkFFTConvolutionImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('FFTConvolutionImageFilter', 'itk::FFTConvolutionImageFilter', 'itkFFTConvolutionImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('FFTConvolutionImageFilter', 'itk::FFTConvolutionImageFilter', 'itkFFTConvolutionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('FFTConvolutionImageFilter', 'itk::FFTConvolutionImageFilter', 'itkFFTConvolutionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('FFTConvolutionImageFilter', 'itk::FFTConvolutionImageFilter', 'itkFFTConvolutionImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('FFTConvolutionImageFilter', 'itk::FFTConvolutionImageFilter', 'itkFFTConvolutionImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('FFTConvolutionImageFilter', 'itk::FFTConvolutionImageFilter', 'itkFFTConvolutionImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('FFTConvolutionImageFilter', 'itk::FFTConvolutionImageFilter', 'itkFFTConvolutionImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('FFTConvolutionImageFilter', 'itk::FFTConvolutionImageFilter', 'itkFFTConvolutionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FFTConvolutionImageFilter', 'itk::FFTConvolutionImageFilter', 'itkFFTConvolutionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FFTConvolutionImageFilter', 'itk::FFTConvolutionImageFilter', 'itkFFTConvolutionImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('FFTConvolutionImageFilter', 'itk::FFTConvolutionImageFilter', 'itkFFTConvolutionImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('FFTConvolutionImageFilter', 'itk::FFTConvolutionImageFilter', 'itkFFTConvolutionImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('FFTConvolutionImageFilter', 'itk::FFTConvolutionImageFilter', 'itkFFTConvolutionImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterISS2IF2', 'itk::Image< signed short,2 >, itk::Image< float,2 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterISS3IF3', 'itk::Image< signed short,3 >, itk::Image< float,3 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterISS4IF4', 'itk::Image< signed short,4 >, itk::Image< float,4 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterISS2ID2', 'itk::Image< signed short,2 >, itk::Image< double,2 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterISS3ID3', 'itk::Image< signed short,3 >, itk::Image< double,3 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterISS4ID4', 'itk::Image< signed short,4 >, itk::Image< double,4 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterIUC2IF2', 'itk::Image< unsigned char,2 >, itk::Image< float,2 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterIUC3IF3', 'itk::Image< unsigned char,3 >, itk::Image< float,3 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterIUC4IF4', 'itk::Image< unsigned char,4 >, itk::Image< float,4 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterIUC2ID2', 'itk::Image< unsigned char,2 >, itk::Image< double,2 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterIUC3ID3', 'itk::Image< unsigned char,3 >, itk::Image< double,3 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterIUC4ID4', 'itk::Image< unsigned char,4 >, itk::Image< double,4 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterIUL2IF2', 'itk::Image< unsigned long,2 >, itk::Image< float,2 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterIUL3IF3', 'itk::Image< unsigned long,3 >, itk::Image< float,3 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterIUL4IF4', 'itk::Image< unsigned long,4 >, itk::Image< float,4 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterIUL2ID2', 'itk::Image< unsigned long,2 >, itk::Image< double,2 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterIUL3ID3', 'itk::Image< unsigned long,3 >, itk::Image< double,3 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterIUL4ID4', 'itk::Image< unsigned long,4 >, itk::Image< double,4 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterIF2ID2', 'itk::Image< float,2 >, itk::Image< double,2 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterIF3ID3', 'itk::Image< float,3 >, itk::Image< double,3 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterIF4ID4', 'itk::Image< float,4 >, itk::Image< double,4 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterID2IF2', 'itk::Image< double,2 >, itk::Image< float,2 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterID3IF3', 'itk::Image< double,3 >, itk::Image< float,3 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterID4IF4', 'itk::Image< double,4 >, itk::Image< float,4 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MaskedFFTNormalizedCorrelationImageFilter', 'itk::MaskedFFTNormalizedCorrelationImageFilter', 'itkMaskedFFTNormalizedCorrelationImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
)
