depends = ('ITKPyBase', 'ITKImageSources', 'ITKConvolution', )
templates = (
  ('IterativeDeconvolutionImageFilter', 'itk::IterativeDeconvolutionImageFilter', 'itkIterativeDeconvolutionImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('IterativeDeconvolutionImageFilter', 'itk::IterativeDeconvolutionImageFilter', 'itkIterativeDeconvolutionImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('IterativeDeconvolutionImageFilter', 'itk::IterativeDeconvolutionImageFilter', 'itkIterativeDeconvolutionImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('IterativeDeconvolutionImageFilter', 'itk::IterativeDeconvolutionImageFilter', 'itkIterativeDeconvolutionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('IterativeDeconvolutionImageFilter', 'itk::IterativeDeconvolutionImageFilter', 'itkIterativeDeconvolutionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('IterativeDeconvolutionImageFilter', 'itk::IterativeDeconvolutionImageFilter', 'itkIterativeDeconvolutionImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('IterativeDeconvolutionImageFilter', 'itk::IterativeDeconvolutionImageFilter', 'itkIterativeDeconvolutionImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('IterativeDeconvolutionImageFilter', 'itk::IterativeDeconvolutionImageFilter', 'itkIterativeDeconvolutionImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('IterativeDeconvolutionImageFilter', 'itk::IterativeDeconvolutionImageFilter', 'itkIterativeDeconvolutionImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('IterativeDeconvolutionImageFilter', 'itk::IterativeDeconvolutionImageFilter', 'itkIterativeDeconvolutionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('IterativeDeconvolutionImageFilter', 'itk::IterativeDeconvolutionImageFilter', 'itkIterativeDeconvolutionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('IterativeDeconvolutionImageFilter', 'itk::IterativeDeconvolutionImageFilter', 'itkIterativeDeconvolutionImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('IterativeDeconvolutionImageFilter', 'itk::IterativeDeconvolutionImageFilter', 'itkIterativeDeconvolutionImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('IterativeDeconvolutionImageFilter', 'itk::IterativeDeconvolutionImageFilter', 'itkIterativeDeconvolutionImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('IterativeDeconvolutionImageFilter', 'itk::IterativeDeconvolutionImageFilter', 'itkIterativeDeconvolutionImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('InverseDeconvolutionImageFilter', 'itk::InverseDeconvolutionImageFilter', 'itkInverseDeconvolutionImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('InverseDeconvolutionImageFilter', 'itk::InverseDeconvolutionImageFilter', 'itkInverseDeconvolutionImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('InverseDeconvolutionImageFilter', 'itk::InverseDeconvolutionImageFilter', 'itkInverseDeconvolutionImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('InverseDeconvolutionImageFilter', 'itk::InverseDeconvolutionImageFilter', 'itkInverseDeconvolutionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('InverseDeconvolutionImageFilter', 'itk::InverseDeconvolutionImageFilter', 'itkInverseDeconvolutionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('InverseDeconvolutionImageFilter', 'itk::InverseDeconvolutionImageFilter', 'itkInverseDeconvolutionImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('InverseDeconvolutionImageFilter', 'itk::InverseDeconvolutionImageFilter', 'itkInverseDeconvolutionImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('InverseDeconvolutionImageFilter', 'itk::InverseDeconvolutionImageFilter', 'itkInverseDeconvolutionImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('InverseDeconvolutionImageFilter', 'itk::InverseDeconvolutionImageFilter', 'itkInverseDeconvolutionImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('InverseDeconvolutionImageFilter', 'itk::InverseDeconvolutionImageFilter', 'itkInverseDeconvolutionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('InverseDeconvolutionImageFilter', 'itk::InverseDeconvolutionImageFilter', 'itkInverseDeconvolutionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('InverseDeconvolutionImageFilter', 'itk::InverseDeconvolutionImageFilter', 'itkInverseDeconvolutionImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('InverseDeconvolutionImageFilter', 'itk::InverseDeconvolutionImageFilter', 'itkInverseDeconvolutionImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('InverseDeconvolutionImageFilter', 'itk::InverseDeconvolutionImageFilter', 'itkInverseDeconvolutionImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('InverseDeconvolutionImageFilter', 'itk::InverseDeconvolutionImageFilter', 'itkInverseDeconvolutionImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('LandweberDeconvolutionImageFilter', 'itk::LandweberDeconvolutionImageFilter', 'itkLandweberDeconvolutionImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('LandweberDeconvolutionImageFilter', 'itk::LandweberDeconvolutionImageFilter', 'itkLandweberDeconvolutionImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('LandweberDeconvolutionImageFilter', 'itk::LandweberDeconvolutionImageFilter', 'itkLandweberDeconvolutionImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('LandweberDeconvolutionImageFilter', 'itk::LandweberDeconvolutionImageFilter', 'itkLandweberDeconvolutionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('LandweberDeconvolutionImageFilter', 'itk::LandweberDeconvolutionImageFilter', 'itkLandweberDeconvolutionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('LandweberDeconvolutionImageFilter', 'itk::LandweberDeconvolutionImageFilter', 'itkLandweberDeconvolutionImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('LandweberDeconvolutionImageFilter', 'itk::LandweberDeconvolutionImageFilter', 'itkLandweberDeconvolutionImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('LandweberDeconvolutionImageFilter', 'itk::LandweberDeconvolutionImageFilter', 'itkLandweberDeconvolutionImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('LandweberDeconvolutionImageFilter', 'itk::LandweberDeconvolutionImageFilter', 'itkLandweberDeconvolutionImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('LandweberDeconvolutionImageFilter', 'itk::LandweberDeconvolutionImageFilter', 'itkLandweberDeconvolutionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('LandweberDeconvolutionImageFilter', 'itk::LandweberDeconvolutionImageFilter', 'itkLandweberDeconvolutionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('LandweberDeconvolutionImageFilter', 'itk::LandweberDeconvolutionImageFilter', 'itkLandweberDeconvolutionImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('LandweberDeconvolutionImageFilter', 'itk::LandweberDeconvolutionImageFilter', 'itkLandweberDeconvolutionImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('LandweberDeconvolutionImageFilter', 'itk::LandweberDeconvolutionImageFilter', 'itkLandweberDeconvolutionImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('LandweberDeconvolutionImageFilter', 'itk::LandweberDeconvolutionImageFilter', 'itkLandweberDeconvolutionImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('ProjectedLandweberDeconvolutionImageFilter', 'itk::ProjectedLandweberDeconvolutionImageFilter', 'itkProjectedLandweberDeconvolutionImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ProjectedLandweberDeconvolutionImageFilter', 'itk::ProjectedLandweberDeconvolutionImageFilter', 'itkProjectedLandweberDeconvolutionImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ProjectedLandweberDeconvolutionImageFilter', 'itk::ProjectedLandweberDeconvolutionImageFilter', 'itkProjectedLandweberDeconvolutionImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('ProjectedLandweberDeconvolutionImageFilter', 'itk::ProjectedLandweberDeconvolutionImageFilter', 'itkProjectedLandweberDeconvolutionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ProjectedLandweberDeconvolutionImageFilter', 'itk::ProjectedLandweberDeconvolutionImageFilter', 'itkProjectedLandweberDeconvolutionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ProjectedLandweberDeconvolutionImageFilter', 'itk::ProjectedLandweberDeconvolutionImageFilter', 'itkProjectedLandweberDeconvolutionImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('ProjectedLandweberDeconvolutionImageFilter', 'itk::ProjectedLandweberDeconvolutionImageFilter', 'itkProjectedLandweberDeconvolutionImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('ProjectedLandweberDeconvolutionImageFilter', 'itk::ProjectedLandweberDeconvolutionImageFilter', 'itkProjectedLandweberDeconvolutionImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('ProjectedLandweberDeconvolutionImageFilter', 'itk::ProjectedLandweberDeconvolutionImageFilter', 'itkProjectedLandweberDeconvolutionImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('ProjectedLandweberDeconvolutionImageFilter', 'itk::ProjectedLandweberDeconvolutionImageFilter', 'itkProjectedLandweberDeconvolutionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ProjectedLandweberDeconvolutionImageFilter', 'itk::ProjectedLandweberDeconvolutionImageFilter', 'itkProjectedLandweberDeconvolutionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ProjectedLandweberDeconvolutionImageFilter', 'itk::ProjectedLandweberDeconvolutionImageFilter', 'itkProjectedLandweberDeconvolutionImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ProjectedLandweberDeconvolutionImageFilter', 'itk::ProjectedLandweberDeconvolutionImageFilter', 'itkProjectedLandweberDeconvolutionImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ProjectedLandweberDeconvolutionImageFilter', 'itk::ProjectedLandweberDeconvolutionImageFilter', 'itkProjectedLandweberDeconvolutionImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ProjectedLandweberDeconvolutionImageFilter', 'itk::ProjectedLandweberDeconvolutionImageFilter', 'itkProjectedLandweberDeconvolutionImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('RichardsonLucyDeconvolutionImageFilter', 'itk::RichardsonLucyDeconvolutionImageFilter', 'itkRichardsonLucyDeconvolutionImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('RichardsonLucyDeconvolutionImageFilter', 'itk::RichardsonLucyDeconvolutionImageFilter', 'itkRichardsonLucyDeconvolutionImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('RichardsonLucyDeconvolutionImageFilter', 'itk::RichardsonLucyDeconvolutionImageFilter', 'itkRichardsonLucyDeconvolutionImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('RichardsonLucyDeconvolutionImageFilter', 'itk::RichardsonLucyDeconvolutionImageFilter', 'itkRichardsonLucyDeconvolutionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('RichardsonLucyDeconvolutionImageFilter', 'itk::RichardsonLucyDeconvolutionImageFilter', 'itkRichardsonLucyDeconvolutionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('RichardsonLucyDeconvolutionImageFilter', 'itk::RichardsonLucyDeconvolutionImageFilter', 'itkRichardsonLucyDeconvolutionImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('RichardsonLucyDeconvolutionImageFilter', 'itk::RichardsonLucyDeconvolutionImageFilter', 'itkRichardsonLucyDeconvolutionImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('RichardsonLucyDeconvolutionImageFilter', 'itk::RichardsonLucyDeconvolutionImageFilter', 'itkRichardsonLucyDeconvolutionImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('RichardsonLucyDeconvolutionImageFilter', 'itk::RichardsonLucyDeconvolutionImageFilter', 'itkRichardsonLucyDeconvolutionImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('RichardsonLucyDeconvolutionImageFilter', 'itk::RichardsonLucyDeconvolutionImageFilter', 'itkRichardsonLucyDeconvolutionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RichardsonLucyDeconvolutionImageFilter', 'itk::RichardsonLucyDeconvolutionImageFilter', 'itkRichardsonLucyDeconvolutionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RichardsonLucyDeconvolutionImageFilter', 'itk::RichardsonLucyDeconvolutionImageFilter', 'itkRichardsonLucyDeconvolutionImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('RichardsonLucyDeconvolutionImageFilter', 'itk::RichardsonLucyDeconvolutionImageFilter', 'itkRichardsonLucyDeconvolutionImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('RichardsonLucyDeconvolutionImageFilter', 'itk::RichardsonLucyDeconvolutionImageFilter', 'itkRichardsonLucyDeconvolutionImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('RichardsonLucyDeconvolutionImageFilter', 'itk::RichardsonLucyDeconvolutionImageFilter', 'itkRichardsonLucyDeconvolutionImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('TikhonovDeconvolutionImageFilter', 'itk::TikhonovDeconvolutionImageFilter', 'itkTikhonovDeconvolutionImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('TikhonovDeconvolutionImageFilter', 'itk::TikhonovDeconvolutionImageFilter', 'itkTikhonovDeconvolutionImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('TikhonovDeconvolutionImageFilter', 'itk::TikhonovDeconvolutionImageFilter', 'itkTikhonovDeconvolutionImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('TikhonovDeconvolutionImageFilter', 'itk::TikhonovDeconvolutionImageFilter', 'itkTikhonovDeconvolutionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('TikhonovDeconvolutionImageFilter', 'itk::TikhonovDeconvolutionImageFilter', 'itkTikhonovDeconvolutionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('TikhonovDeconvolutionImageFilter', 'itk::TikhonovDeconvolutionImageFilter', 'itkTikhonovDeconvolutionImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('TikhonovDeconvolutionImageFilter', 'itk::TikhonovDeconvolutionImageFilter', 'itkTikhonovDeconvolutionImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('TikhonovDeconvolutionImageFilter', 'itk::TikhonovDeconvolutionImageFilter', 'itkTikhonovDeconvolutionImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('TikhonovDeconvolutionImageFilter', 'itk::TikhonovDeconvolutionImageFilter', 'itkTikhonovDeconvolutionImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('TikhonovDeconvolutionImageFilter', 'itk::TikhonovDeconvolutionImageFilter', 'itkTikhonovDeconvolutionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('TikhonovDeconvolutionImageFilter', 'itk::TikhonovDeconvolutionImageFilter', 'itkTikhonovDeconvolutionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('TikhonovDeconvolutionImageFilter', 'itk::TikhonovDeconvolutionImageFilter', 'itkTikhonovDeconvolutionImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('TikhonovDeconvolutionImageFilter', 'itk::TikhonovDeconvolutionImageFilter', 'itkTikhonovDeconvolutionImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('TikhonovDeconvolutionImageFilter', 'itk::TikhonovDeconvolutionImageFilter', 'itkTikhonovDeconvolutionImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('TikhonovDeconvolutionImageFilter', 'itk::TikhonovDeconvolutionImageFilter', 'itkTikhonovDeconvolutionImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('WienerDeconvolutionImageFilter', 'itk::WienerDeconvolutionImageFilter', 'itkWienerDeconvolutionImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('WienerDeconvolutionImageFilter', 'itk::WienerDeconvolutionImageFilter', 'itkWienerDeconvolutionImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('WienerDeconvolutionImageFilter', 'itk::WienerDeconvolutionImageFilter', 'itkWienerDeconvolutionImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('WienerDeconvolutionImageFilter', 'itk::WienerDeconvolutionImageFilter', 'itkWienerDeconvolutionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('WienerDeconvolutionImageFilter', 'itk::WienerDeconvolutionImageFilter', 'itkWienerDeconvolutionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('WienerDeconvolutionImageFilter', 'itk::WienerDeconvolutionImageFilter', 'itkWienerDeconvolutionImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('WienerDeconvolutionImageFilter', 'itk::WienerDeconvolutionImageFilter', 'itkWienerDeconvolutionImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('WienerDeconvolutionImageFilter', 'itk::WienerDeconvolutionImageFilter', 'itkWienerDeconvolutionImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('WienerDeconvolutionImageFilter', 'itk::WienerDeconvolutionImageFilter', 'itkWienerDeconvolutionImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('WienerDeconvolutionImageFilter', 'itk::WienerDeconvolutionImageFilter', 'itkWienerDeconvolutionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('WienerDeconvolutionImageFilter', 'itk::WienerDeconvolutionImageFilter', 'itkWienerDeconvolutionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('WienerDeconvolutionImageFilter', 'itk::WienerDeconvolutionImageFilter', 'itkWienerDeconvolutionImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('WienerDeconvolutionImageFilter', 'itk::WienerDeconvolutionImageFilter', 'itkWienerDeconvolutionImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('WienerDeconvolutionImageFilter', 'itk::WienerDeconvolutionImageFilter', 'itkWienerDeconvolutionImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('WienerDeconvolutionImageFilter', 'itk::WienerDeconvolutionImageFilter', 'itkWienerDeconvolutionImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
)
