depends = ('ITKPyBase', 'ITKQuadEdgeMesh', 'ITKMesh', 'ITKConnectedComponents', )
templates = (
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeSS2', 'signed short,2'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeUC2', 'unsigned char,2'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeUL2', 'unsigned long,2'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeF2', 'float,2'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeD2', 'double,2'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeSS3', 'signed short,3'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeUC3', 'unsigned char,3'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeUL3', 'unsigned long,3'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeF3', 'float,3'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeD3', 'double,3'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeSS4', 'signed short,4'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeUC4', 'unsigned char,4'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeUL4', 'unsigned long,4'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeF4', 'float,4'),
  ('LevelSetNode', 'itk::LevelSetNode', 'itkLevelSetNodeD4', 'double,4'),
  ('NodePair', 'itk::NodePair', 'itkNodePairI2SS', 'itk::Index<2>, signed short'),
  ('NodePair', 'itk::NodePair', 'itkNodePairI2UC', 'itk::Index<2>, unsigned char'),
  ('NodePair', 'itk::NodePair', 'itkNodePairI2UL', 'itk::Index<2>, unsigned long'),
  ('NodePair', 'itk::NodePair', 'itkNodePairI2F', 'itk::Index<2>, float'),
  ('NodePair', 'itk::NodePair', 'itkNodePairI2D', 'itk::Index<2>, double'),
  ('NodePair', 'itk::NodePair', 'itkNodePairI3SS', 'itk::Index<3>, signed short'),
  ('NodePair', 'itk::NodePair', 'itkNodePairI3UC', 'itk::Index<3>, unsigned char'),
  ('NodePair', 'itk::NodePair', 'itkNodePairI3UL', 'itk::Index<3>, unsigned long'),
  ('NodePair', 'itk::NodePair', 'itkNodePairI3F', 'itk::Index<3>, float'),
  ('NodePair', 'itk::NodePair', 'itkNodePairI3D', 'itk::Index<3>, double'),
  ('NodePair', 'itk::NodePair', 'itkNodePairI4SS', 'itk::Index<4>, signed short'),
  ('NodePair', 'itk::NodePair', 'itkNodePairI4UC', 'itk::Index<4>, unsigned char'),
  ('NodePair', 'itk::NodePair', 'itkNodePairI4UL', 'itk::Index<4>, unsigned long'),
  ('NodePair', 'itk::NodePair', 'itkNodePairI4F', 'itk::Index<4>, float'),
  ('NodePair', 'itk::NodePair', 'itkNodePairI4D', 'itk::Index<4>, double'),
  ('FastMarchingStoppingCriterionBase', 'itk::FastMarchingStoppingCriterionBase', 'itkFastMarchingStoppingCriterionBaseIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FastMarchingStoppingCriterionBase', 'itk::FastMarchingStoppingCriterionBase', 'itkFastMarchingStoppingCriterionBaseIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FastMarchingStoppingCriterionBase', 'itk::FastMarchingStoppingCriterionBase', 'itkFastMarchingStoppingCriterionBaseIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('FastMarchingStoppingCriterionBase', 'itk::FastMarchingStoppingCriterionBase', 'itkFastMarchingStoppingCriterionBaseID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('FastMarchingStoppingCriterionBase', 'itk::FastMarchingStoppingCriterionBase', 'itkFastMarchingStoppingCriterionBaseID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('FastMarchingStoppingCriterionBase', 'itk::FastMarchingStoppingCriterionBase', 'itkFastMarchingStoppingCriterionBaseID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNSS2', 'unsigned int,itk::LevelSetNode< signed short,2 >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULNPI2SS', 'unsigned long, itk::NodePair< itk::Index<2>, signed short >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNUC2', 'unsigned int,itk::LevelSetNode< unsigned char,2 >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULNPI2UC', 'unsigned long, itk::NodePair< itk::Index<2>, unsigned char >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNUL2', 'unsigned int,itk::LevelSetNode< unsigned long,2 >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULNPI2UL', 'unsigned long, itk::NodePair< itk::Index<2>, unsigned long >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNF2', 'unsigned int,itk::LevelSetNode< float,2 >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULNPI2F', 'unsigned long, itk::NodePair< itk::Index<2>, float >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSND2', 'unsigned int,itk::LevelSetNode< double,2 >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULNPI2D', 'unsigned long, itk::NodePair< itk::Index<2>, double >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNSS3', 'unsigned int,itk::LevelSetNode< signed short,3 >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULNPI3SS', 'unsigned long, itk::NodePair< itk::Index<3>, signed short >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNUC3', 'unsigned int,itk::LevelSetNode< unsigned char,3 >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULNPI3UC', 'unsigned long, itk::NodePair< itk::Index<3>, unsigned char >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNUL3', 'unsigned int,itk::LevelSetNode< unsigned long,3 >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULNPI3UL', 'unsigned long, itk::NodePair< itk::Index<3>, unsigned long >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNF3', 'unsigned int,itk::LevelSetNode< float,3 >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULNPI3F', 'unsigned long, itk::NodePair< itk::Index<3>, float >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSND3', 'unsigned int,itk::LevelSetNode< double,3 >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULNPI3D', 'unsigned long, itk::NodePair< itk::Index<3>, double >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNSS4', 'unsigned int,itk::LevelSetNode< signed short,4 >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULNPI4SS', 'unsigned long, itk::NodePair< itk::Index<4>, signed short >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNUC4', 'unsigned int,itk::LevelSetNode< unsigned char,4 >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULNPI4UC', 'unsigned long, itk::NodePair< itk::Index<4>, unsigned char >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNUL4', 'unsigned int,itk::LevelSetNode< unsigned long,4 >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULNPI4UL', 'unsigned long, itk::NodePair< itk::Index<4>, unsigned long >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSNF4', 'unsigned int,itk::LevelSetNode< float,4 >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULNPI4F', 'unsigned long, itk::NodePair< itk::Index<4>, float >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerUILSND4', 'unsigned int,itk::LevelSetNode< double,4 >'),
  ('VectorContainer', 'itk::VectorContainer', 'itkVectorContainerULNPI4D', 'unsigned long, itk::NodePair< itk::Index<4>, double >'),
  ('FastMarchingBase', 'itk::FastMarchingBase', 'itkFastMarchingBaseIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FastMarchingBase', 'itk::FastMarchingBase', 'itkFastMarchingBaseIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FastMarchingBase', 'itk::FastMarchingBase', 'itkFastMarchingBaseIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('FastMarchingBase', 'itk::FastMarchingBase', 'itkFastMarchingBaseID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('FastMarchingBase', 'itk::FastMarchingBase', 'itkFastMarchingBaseID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('FastMarchingBase', 'itk::FastMarchingBase', 'itkFastMarchingBaseID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('FastMarchingImageFilterBase', 'itk::FastMarchingImageFilterBase', 'itkFastMarchingImageFilterBaseIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FastMarchingImageFilterBase', 'itk::FastMarchingImageFilterBase', 'itkFastMarchingImageFilterBaseIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FastMarchingImageFilterBase', 'itk::FastMarchingImageFilterBase', 'itkFastMarchingImageFilterBaseIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('FastMarchingImageFilterBase', 'itk::FastMarchingImageFilterBase', 'itkFastMarchingImageFilterBaseID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('FastMarchingImageFilterBase', 'itk::FastMarchingImageFilterBase', 'itkFastMarchingImageFilterBaseID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('FastMarchingImageFilterBase', 'itk::FastMarchingImageFilterBase', 'itkFastMarchingImageFilterBaseID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('FastMarchingExtensionImageFilter', 'itk::FastMarchingExtensionImageFilter', 'itkFastMarchingExtensionImageFilterIF2UC1IF2', 'itk::Image< float,2 >, unsigned char, 1, itk::Image< float,2 >'),
  ('FastMarchingExtensionImageFilter', 'itk::FastMarchingExtensionImageFilter', 'itkFastMarchingExtensionImageFilterID2UC1ID2', 'itk::Image< double,2 >, unsigned char, 1, itk::Image< double,2 >'),
  ('FastMarchingExtensionImageFilter', 'itk::FastMarchingExtensionImageFilter', 'itkFastMarchingExtensionImageFilterIF3UC1IF3', 'itk::Image< float,3 >, unsigned char, 1, itk::Image< float,3 >'),
  ('FastMarchingExtensionImageFilter', 'itk::FastMarchingExtensionImageFilter', 'itkFastMarchingExtensionImageFilterID3UC1ID3', 'itk::Image< double,3 >, unsigned char, 1, itk::Image< double,3 >'),
  ('FastMarchingExtensionImageFilter', 'itk::FastMarchingExtensionImageFilter', 'itkFastMarchingExtensionImageFilterIF4UC1IF4', 'itk::Image< float,4 >, unsigned char, 1, itk::Image< float,4 >'),
  ('FastMarchingExtensionImageFilter', 'itk::FastMarchingExtensionImageFilter', 'itkFastMarchingExtensionImageFilterID4UC1ID4', 'itk::Image< double,4 >, unsigned char, 1, itk::Image< double,4 >'),
  ('FastMarchingImageFilter', 'itk::FastMarchingImageFilter', 'itkFastMarchingImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FastMarchingImageFilter', 'itk::FastMarchingImageFilter', 'itkFastMarchingImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FastMarchingImageFilter', 'itk::FastMarchingImageFilter', 'itkFastMarchingImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('FastMarchingImageFilter', 'itk::FastMarchingImageFilter', 'itkFastMarchingImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('FastMarchingImageFilter', 'itk::FastMarchingImageFilter', 'itkFastMarchingImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('FastMarchingImageFilter', 'itk::FastMarchingImageFilter', 'itkFastMarchingImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('FastMarchingImageToNodePairContainerAdaptor', 'itk::FastMarchingImageToNodePairContainerAdaptor', 'itkFastMarchingImageToNodePairContainerAdaptorIF2IF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FastMarchingImageToNodePairContainerAdaptor', 'itk::FastMarchingImageToNodePairContainerAdaptor', 'itkFastMarchingImageToNodePairContainerAdaptorIF3IF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FastMarchingImageToNodePairContainerAdaptor', 'itk::FastMarchingImageToNodePairContainerAdaptor', 'itkFastMarchingImageToNodePairContainerAdaptorIF4IF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< float,4 >'),
  ('FastMarchingImageToNodePairContainerAdaptor', 'itk::FastMarchingImageToNodePairContainerAdaptor', 'itkFastMarchingImageToNodePairContainerAdaptorID2ID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< double,2 >'),
  ('FastMarchingImageToNodePairContainerAdaptor', 'itk::FastMarchingImageToNodePairContainerAdaptor', 'itkFastMarchingImageToNodePairContainerAdaptorID3ID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< double,3 >'),
  ('FastMarchingImageToNodePairContainerAdaptor', 'itk::FastMarchingImageToNodePairContainerAdaptor', 'itkFastMarchingImageToNodePairContainerAdaptorID4ID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< double,4 >'),
  ('FastMarchingReachedTargetNodesStoppingCriterion', 'itk::FastMarchingReachedTargetNodesStoppingCriterion', 'itkFastMarchingReachedTargetNodesStoppingCriterionIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FastMarchingReachedTargetNodesStoppingCriterion', 'itk::FastMarchingReachedTargetNodesStoppingCriterion', 'itkFastMarchingReachedTargetNodesStoppingCriterionIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FastMarchingReachedTargetNodesStoppingCriterion', 'itk::FastMarchingReachedTargetNodesStoppingCriterion', 'itkFastMarchingReachedTargetNodesStoppingCriterionIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('FastMarchingReachedTargetNodesStoppingCriterion', 'itk::FastMarchingReachedTargetNodesStoppingCriterion', 'itkFastMarchingReachedTargetNodesStoppingCriterionID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('FastMarchingReachedTargetNodesStoppingCriterion', 'itk::FastMarchingReachedTargetNodesStoppingCriterion', 'itkFastMarchingReachedTargetNodesStoppingCriterionID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('FastMarchingReachedTargetNodesStoppingCriterion', 'itk::FastMarchingReachedTargetNodesStoppingCriterion', 'itkFastMarchingReachedTargetNodesStoppingCriterionID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('FastMarchingThresholdStoppingCriterion', 'itk::FastMarchingThresholdStoppingCriterion', 'itkFastMarchingThresholdStoppingCriterionIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FastMarchingThresholdStoppingCriterion', 'itk::FastMarchingThresholdStoppingCriterion', 'itkFastMarchingThresholdStoppingCriterionIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FastMarchingThresholdStoppingCriterion', 'itk::FastMarchingThresholdStoppingCriterion', 'itkFastMarchingThresholdStoppingCriterionIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('FastMarchingThresholdStoppingCriterion', 'itk::FastMarchingThresholdStoppingCriterion', 'itkFastMarchingThresholdStoppingCriterionID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('FastMarchingThresholdStoppingCriterion', 'itk::FastMarchingThresholdStoppingCriterion', 'itkFastMarchingThresholdStoppingCriterionID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('FastMarchingThresholdStoppingCriterion', 'itk::FastMarchingThresholdStoppingCriterion', 'itkFastMarchingThresholdStoppingCriterionID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('FastMarchingUpwindGradientImageFilter', 'itk::FastMarchingUpwindGradientImageFilter', 'itkFastMarchingUpwindGradientImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FastMarchingUpwindGradientImageFilter', 'itk::FastMarchingUpwindGradientImageFilter', 'itkFastMarchingUpwindGradientImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FastMarchingUpwindGradientImageFilter', 'itk::FastMarchingUpwindGradientImageFilter', 'itkFastMarchingUpwindGradientImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('FastMarchingUpwindGradientImageFilter', 'itk::FastMarchingUpwindGradientImageFilter', 'itkFastMarchingUpwindGradientImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('FastMarchingUpwindGradientImageFilter', 'itk::FastMarchingUpwindGradientImageFilter', 'itkFastMarchingUpwindGradientImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('FastMarchingUpwindGradientImageFilter', 'itk::FastMarchingUpwindGradientImageFilter', 'itkFastMarchingUpwindGradientImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('FastMarchingUpwindGradientImageFilterBase', 'itk::FastMarchingUpwindGradientImageFilterBase', 'itkFastMarchingUpwindGradientImageFilterBaseIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('FastMarchingUpwindGradientImageFilterBase', 'itk::FastMarchingUpwindGradientImageFilterBase', 'itkFastMarchingUpwindGradientImageFilterBaseIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('FastMarchingUpwindGradientImageFilterBase', 'itk::FastMarchingUpwindGradientImageFilterBase', 'itkFastMarchingUpwindGradientImageFilterBaseIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('FastMarchingUpwindGradientImageFilterBase', 'itk::FastMarchingUpwindGradientImageFilterBase', 'itkFastMarchingUpwindGradientImageFilterBaseID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('FastMarchingUpwindGradientImageFilterBase', 'itk::FastMarchingUpwindGradientImageFilterBase', 'itkFastMarchingUpwindGradientImageFilterBaseID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('FastMarchingUpwindGradientImageFilterBase', 'itk::FastMarchingUpwindGradientImageFilterBase', 'itkFastMarchingUpwindGradientImageFilterBaseID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
)
