depends = ('ITKPyBase', 'ITKCommon', )
templates = (
  ('ImageIOBase', 'itk::ImageIOBase', 'itkImageIOBase'),
  ('StreamingImageIOBase', 'itk::StreamingImageIOBase', 'itkStreamingImageIOBase'),
  ('ImageIOFactory', 'itk::ImageIOFactory', 'itkImageIOFactory'),
  ('ArchetypeSeriesFileNames', 'itk::ArchetypeSeriesFileNames', 'itkArchetypeSeriesFileNames'),
  ('NumericSeriesFileNames', 'itk::NumericSeriesFileNames', 'itkNumericSeriesFileNames'),
  ('RegularExpressionSeriesFileNames', 'itk::RegularExpressionSeriesFileNames', 'itkRegularExpressionSeriesFileNames'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUC2', 'itk::Image< unsigned char,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUC3', 'itk::Image< unsigned char,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUC4', 'itk::Image< unsigned char,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBUC4', 'itk::Image< itk::RGBPixel< unsigned char >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBAUC2', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBAUC3', 'itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIRGBAUC4', 'itk::Image< itk::RGBAPixel< unsigned char >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVD22', 'itk::Image< itk::Vector< double,2 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVD23', 'itk::Image< itk::Vector< double,2 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVD24', 'itk::Image< itk::Vector< double,2 >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVD32', 'itk::Image< itk::Vector< double,3 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVD33', 'itk::Image< itk::Vector< double,3 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVD34', 'itk::Image< itk::Vector< double,3 >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVD42', 'itk::Image< itk::Vector< double,4 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVD43', 'itk::Image< itk::Vector< double,4 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVD44', 'itk::Image< itk::Vector< double,4 >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF23', 'itk::Image< itk::Vector< float,2 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF24', 'itk::Image< itk::Vector< float,2 >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF32', 'itk::Image< itk::Vector< float,3 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF34', 'itk::Image< itk::Vector< float,3 >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF42', 'itk::Image< itk::Vector< float,4 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF43', 'itk::Image< itk::Vector< float,4 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIVF44', 'itk::Image< itk::Vector< float,4 >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVD22', 'itk::Image< itk::CovariantVector< double,2 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVD23', 'itk::Image< itk::CovariantVector< double,2 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVD24', 'itk::Image< itk::CovariantVector< double,2 >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVD32', 'itk::Image< itk::CovariantVector< double,3 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVD33', 'itk::Image< itk::CovariantVector< double,3 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVD34', 'itk::Image< itk::CovariantVector< double,3 >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVD42', 'itk::Image< itk::CovariantVector< double,4 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVD43', 'itk::Image< itk::CovariantVector< double,4 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVD44', 'itk::Image< itk::CovariantVector< double,4 >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF23', 'itk::Image< itk::CovariantVector< float,2 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF24', 'itk::Image< itk::CovariantVector< float,2 >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF32', 'itk::Image< itk::CovariantVector< float,3 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF34', 'itk::Image< itk::CovariantVector< float,3 >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF42', 'itk::Image< itk::CovariantVector< float,4 >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF43', 'itk::Image< itk::CovariantVector< float,4 >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICVF44', 'itk::Image< itk::CovariantVector< float,4 >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderISS2', 'itk::Image< signed short,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderISS3', 'itk::Image< signed short,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderISS4', 'itk::Image< signed short,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUL2', 'itk::Image< unsigned long,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUL3', 'itk::Image< unsigned long,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIUL4', 'itk::Image< unsigned long,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIF2', 'itk::Image< float,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIF3', 'itk::Image< float,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderIF4', 'itk::Image< float,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderID2', 'itk::Image< double,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderID3', 'itk::Image< double,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderID4', 'itk::Image< double,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICD2', 'itk::Image< std::complex< double >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICD3', 'itk::Image< std::complex< double >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICD4', 'itk::Image< std::complex< double >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICF3', 'itk::Image< std::complex< float >,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderICF4', 'itk::Image< std::complex< float >,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVISS2', 'itk::VectorImage< signed short,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUC2', 'itk::VectorImage< unsigned char,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUL2', 'itk::VectorImage< unsigned long,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIF2', 'itk::VectorImage< float,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVID2', 'itk::VectorImage< double,2 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVISS3', 'itk::VectorImage< signed short,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUC3', 'itk::VectorImage< unsigned char,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUL3', 'itk::VectorImage< unsigned long,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIF3', 'itk::VectorImage< float,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVID3', 'itk::VectorImage< double,3 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVISS4', 'itk::VectorImage< signed short,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUC4', 'itk::VectorImage< unsigned char,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIUL4', 'itk::VectorImage< unsigned long,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVIF4', 'itk::VectorImage< float,4 >'),
  ('ImageFileReader', 'itk::ImageFileReader', 'itkImageFileReaderVID4', 'itk::VectorImage< double,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUC2', 'itk::Image< unsigned char,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUC3', 'itk::Image< unsigned char,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUC4', 'itk::Image< unsigned char,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBUC4', 'itk::Image< itk::RGBPixel< unsigned char >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBAUC2', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBAUC3', 'itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIRGBAUC4', 'itk::Image< itk::RGBAPixel< unsigned char >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVD22', 'itk::Image< itk::Vector< double,2 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVD23', 'itk::Image< itk::Vector< double,2 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVD24', 'itk::Image< itk::Vector< double,2 >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVD32', 'itk::Image< itk::Vector< double,3 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVD33', 'itk::Image< itk::Vector< double,3 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVD34', 'itk::Image< itk::Vector< double,3 >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVD42', 'itk::Image< itk::Vector< double,4 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVD43', 'itk::Image< itk::Vector< double,4 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVD44', 'itk::Image< itk::Vector< double,4 >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF23', 'itk::Image< itk::Vector< float,2 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF24', 'itk::Image< itk::Vector< float,2 >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF32', 'itk::Image< itk::Vector< float,3 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF34', 'itk::Image< itk::Vector< float,3 >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF42', 'itk::Image< itk::Vector< float,4 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF43', 'itk::Image< itk::Vector< float,4 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIVF44', 'itk::Image< itk::Vector< float,4 >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVD22', 'itk::Image< itk::CovariantVector< double,2 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVD23', 'itk::Image< itk::CovariantVector< double,2 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVD24', 'itk::Image< itk::CovariantVector< double,2 >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVD32', 'itk::Image< itk::CovariantVector< double,3 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVD33', 'itk::Image< itk::CovariantVector< double,3 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVD34', 'itk::Image< itk::CovariantVector< double,3 >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVD42', 'itk::Image< itk::CovariantVector< double,4 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVD43', 'itk::Image< itk::CovariantVector< double,4 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVD44', 'itk::Image< itk::CovariantVector< double,4 >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF23', 'itk::Image< itk::CovariantVector< float,2 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF24', 'itk::Image< itk::CovariantVector< float,2 >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF32', 'itk::Image< itk::CovariantVector< float,3 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF34', 'itk::Image< itk::CovariantVector< float,3 >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF42', 'itk::Image< itk::CovariantVector< float,4 >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF43', 'itk::Image< itk::CovariantVector< float,4 >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICVF44', 'itk::Image< itk::CovariantVector< float,4 >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterISS2', 'itk::Image< signed short,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterISS3', 'itk::Image< signed short,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterISS4', 'itk::Image< signed short,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUL2', 'itk::Image< unsigned long,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUL3', 'itk::Image< unsigned long,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIUL4', 'itk::Image< unsigned long,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIF2', 'itk::Image< float,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIF3', 'itk::Image< float,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterIF4', 'itk::Image< float,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterID2', 'itk::Image< double,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterID3', 'itk::Image< double,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterID4', 'itk::Image< double,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICD2', 'itk::Image< std::complex< double >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICD3', 'itk::Image< std::complex< double >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICD4', 'itk::Image< std::complex< double >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICF3', 'itk::Image< std::complex< float >,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterICF4', 'itk::Image< std::complex< float >,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVISS2', 'itk::VectorImage< signed short,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUC2', 'itk::VectorImage< unsigned char,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUL2', 'itk::VectorImage< unsigned long,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIF2', 'itk::VectorImage< float,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVID2', 'itk::VectorImage< double,2 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVISS3', 'itk::VectorImage< signed short,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUC3', 'itk::VectorImage< unsigned char,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUL3', 'itk::VectorImage< unsigned long,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIF3', 'itk::VectorImage< float,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVID3', 'itk::VectorImage< double,3 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVISS4', 'itk::VectorImage< signed short,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUC4', 'itk::VectorImage< unsigned char,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIUL4', 'itk::VectorImage< unsigned long,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVIF4', 'itk::VectorImage< float,4 >'),
  ('ImageFileWriter', 'itk::ImageFileWriter', 'itkImageFileWriterVID4', 'itk::VectorImage< double,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUC2', 'itk::Image< unsigned char,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUC3', 'itk::Image< unsigned char,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUC4', 'itk::Image< unsigned char,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBUC4', 'itk::Image< itk::RGBPixel< unsigned char >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBAUC2', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBAUC3', 'itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIRGBAUC4', 'itk::Image< itk::RGBAPixel< unsigned char >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVD22', 'itk::Image< itk::Vector< double,2 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVD23', 'itk::Image< itk::Vector< double,2 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVD24', 'itk::Image< itk::Vector< double,2 >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVD32', 'itk::Image< itk::Vector< double,3 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVD33', 'itk::Image< itk::Vector< double,3 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVD34', 'itk::Image< itk::Vector< double,3 >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVD42', 'itk::Image< itk::Vector< double,4 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVD43', 'itk::Image< itk::Vector< double,4 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVD44', 'itk::Image< itk::Vector< double,4 >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF22', 'itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF23', 'itk::Image< itk::Vector< float,2 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF24', 'itk::Image< itk::Vector< float,2 >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF32', 'itk::Image< itk::Vector< float,3 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF33', 'itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF34', 'itk::Image< itk::Vector< float,3 >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF42', 'itk::Image< itk::Vector< float,4 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF43', 'itk::Image< itk::Vector< float,4 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIVF44', 'itk::Image< itk::Vector< float,4 >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVD22', 'itk::Image< itk::CovariantVector< double,2 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVD23', 'itk::Image< itk::CovariantVector< double,2 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVD24', 'itk::Image< itk::CovariantVector< double,2 >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVD32', 'itk::Image< itk::CovariantVector< double,3 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVD33', 'itk::Image< itk::CovariantVector< double,3 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVD34', 'itk::Image< itk::CovariantVector< double,3 >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVD42', 'itk::Image< itk::CovariantVector< double,4 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVD43', 'itk::Image< itk::CovariantVector< double,4 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVD44', 'itk::Image< itk::CovariantVector< double,4 >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF23', 'itk::Image< itk::CovariantVector< float,2 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF24', 'itk::Image< itk::CovariantVector< float,2 >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF32', 'itk::Image< itk::CovariantVector< float,3 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF34', 'itk::Image< itk::CovariantVector< float,3 >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF42', 'itk::Image< itk::CovariantVector< float,4 >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF43', 'itk::Image< itk::CovariantVector< float,4 >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICVF44', 'itk::Image< itk::CovariantVector< float,4 >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderISS2', 'itk::Image< signed short,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderISS3', 'itk::Image< signed short,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderISS4', 'itk::Image< signed short,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUL2', 'itk::Image< unsigned long,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUL3', 'itk::Image< unsigned long,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIUL4', 'itk::Image< unsigned long,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIF2', 'itk::Image< float,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIF3', 'itk::Image< float,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderIF4', 'itk::Image< float,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderID2', 'itk::Image< double,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderID3', 'itk::Image< double,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderID4', 'itk::Image< double,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICD2', 'itk::Image< std::complex< double >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICD3', 'itk::Image< std::complex< double >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICD4', 'itk::Image< std::complex< double >,4 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICF2', 'itk::Image< std::complex< float >,2 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICF3', 'itk::Image< std::complex< float >,3 >'),
  ('ImageSeriesReader', 'itk::ImageSeriesReader', 'itkImageSeriesReaderICF4', 'itk::Image< std::complex< float >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBUC2IRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,2 >, itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBUC3IRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,3 >, itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBUC4IRGBUC4', 'itk::Image< itk::RGBPixel< unsigned char >,4 >, itk::Image< itk::RGBPixel< unsigned char >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBAUC2IRGBAUC2', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >, itk::Image< itk::RGBAPixel< unsigned char >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBAUC3IRGBAUC3', 'itk::Image< itk::RGBAPixel< unsigned char >,3 >, itk::Image< itk::RGBAPixel< unsigned char >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBAUC4IRGBAUC4', 'itk::Image< itk::RGBAPixel< unsigned char >,4 >, itk::Image< itk::RGBAPixel< unsigned char >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVD22IVD22', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVD23IVD23', 'itk::Image< itk::Vector< double,2 >,3 >, itk::Image< itk::Vector< double,2 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVD24IVD24', 'itk::Image< itk::Vector< double,2 >,4 >, itk::Image< itk::Vector< double,2 >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVD32IVD32', 'itk::Image< itk::Vector< double,3 >,2 >, itk::Image< itk::Vector< double,3 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVD33IVD33', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVD34IVD34', 'itk::Image< itk::Vector< double,3 >,4 >, itk::Image< itk::Vector< double,3 >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVD42IVD42', 'itk::Image< itk::Vector< double,4 >,2 >, itk::Image< itk::Vector< double,4 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVD43IVD43', 'itk::Image< itk::Vector< double,4 >,3 >, itk::Image< itk::Vector< double,4 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVD44IVD44', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF22IVF22', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF23IVF23', 'itk::Image< itk::Vector< float,2 >,3 >, itk::Image< itk::Vector< float,2 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF24IVF24', 'itk::Image< itk::Vector< float,2 >,4 >, itk::Image< itk::Vector< float,2 >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF32IVF32', 'itk::Image< itk::Vector< float,3 >,2 >, itk::Image< itk::Vector< float,3 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF33IVF33', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF34IVF34', 'itk::Image< itk::Vector< float,3 >,4 >, itk::Image< itk::Vector< float,3 >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF42IVF42', 'itk::Image< itk::Vector< float,4 >,2 >, itk::Image< itk::Vector< float,4 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF43IVF43', 'itk::Image< itk::Vector< float,4 >,3 >, itk::Image< itk::Vector< float,4 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIVF44IVF44', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVD22ICVD22', 'itk::Image< itk::CovariantVector< double,2 >,2 >, itk::Image< itk::CovariantVector< double,2 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVD23ICVD23', 'itk::Image< itk::CovariantVector< double,2 >,3 >, itk::Image< itk::CovariantVector< double,2 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVD24ICVD24', 'itk::Image< itk::CovariantVector< double,2 >,4 >, itk::Image< itk::CovariantVector< double,2 >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVD32ICVD32', 'itk::Image< itk::CovariantVector< double,3 >,2 >, itk::Image< itk::CovariantVector< double,3 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVD33ICVD33', 'itk::Image< itk::CovariantVector< double,3 >,3 >, itk::Image< itk::CovariantVector< double,3 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVD34ICVD34', 'itk::Image< itk::CovariantVector< double,3 >,4 >, itk::Image< itk::CovariantVector< double,3 >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVD42ICVD42', 'itk::Image< itk::CovariantVector< double,4 >,2 >, itk::Image< itk::CovariantVector< double,4 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVD43ICVD43', 'itk::Image< itk::CovariantVector< double,4 >,3 >, itk::Image< itk::CovariantVector< double,4 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVD44ICVD44', 'itk::Image< itk::CovariantVector< double,4 >,4 >, itk::Image< itk::CovariantVector< double,4 >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF22ICVF22', 'itk::Image< itk::CovariantVector< float,2 >,2 >, itk::Image< itk::CovariantVector< float,2 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF23ICVF23', 'itk::Image< itk::CovariantVector< float,2 >,3 >, itk::Image< itk::CovariantVector< float,2 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF24ICVF24', 'itk::Image< itk::CovariantVector< float,2 >,4 >, itk::Image< itk::CovariantVector< float,2 >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF32ICVF32', 'itk::Image< itk::CovariantVector< float,3 >,2 >, itk::Image< itk::CovariantVector< float,3 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF33ICVF33', 'itk::Image< itk::CovariantVector< float,3 >,3 >, itk::Image< itk::CovariantVector< float,3 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF34ICVF34', 'itk::Image< itk::CovariantVector< float,3 >,4 >, itk::Image< itk::CovariantVector< float,3 >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF42ICVF42', 'itk::Image< itk::CovariantVector< float,4 >,2 >, itk::Image< itk::CovariantVector< float,4 >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF43ICVF43', 'itk::Image< itk::CovariantVector< float,4 >,3 >, itk::Image< itk::CovariantVector< float,4 >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICVF44ICVF44', 'itk::Image< itk::CovariantVector< float,4 >,4 >, itk::Image< itk::CovariantVector< float,4 >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICD2ICD2', 'itk::Image< std::complex< double >,2 >, itk::Image< std::complex< double >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICD3ICD3', 'itk::Image< std::complex< double >,3 >, itk::Image< std::complex< double >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICD4ICD4', 'itk::Image< std::complex< double >,4 >, itk::Image< std::complex< double >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICF2ICF2', 'itk::Image< std::complex< float >,2 >, itk::Image< std::complex< float >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICF3ICF3', 'itk::Image< std::complex< float >,3 >, itk::Image< std::complex< float >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICF4ICF4', 'itk::Image< std::complex< float >,4 >, itk::Image< std::complex< float >,4 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterISS3ISS2', 'itk::Image< signed short,3 >,itk::Image< signed short,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUC3IUC2', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUL3IUL2', 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIF3IF2', 'itk::Image< float,3 >,itk::Image< float,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterID3ID2', 'itk::Image< double,3 >,itk::Image< double,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBUC3IRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,3 >,itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICD3ICD2', 'itk::Image< std::complex< double >,3 >,itk::Image< std::complex< double >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICF3ICF2', 'itk::Image< std::complex< float >,3 >,itk::Image< std::complex< float >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterISS4ISS2', 'itk::Image< signed short,4 >,itk::Image< signed short,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUC4IUC2', 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUL4IUL2', 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIF4IF2', 'itk::Image< float,4 >,itk::Image< float,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterID4ID2', 'itk::Image< double,4 >,itk::Image< double,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBUC4IRGBUC2', 'itk::Image< itk::RGBPixel< unsigned char >,4 >,itk::Image< itk::RGBPixel< unsigned char >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICD4ICD2', 'itk::Image< std::complex< double >,4 >,itk::Image< std::complex< double >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICF4ICF2', 'itk::Image< std::complex< float >,4 >,itk::Image< std::complex< float >,2 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterISS4ISS3', 'itk::Image< signed short,4 >,itk::Image< signed short,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUC4IUC3', 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIUL4IUL3', 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIF4IF3', 'itk::Image< float,4 >,itk::Image< float,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterID4ID3', 'itk::Image< double,4 >,itk::Image< double,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterIRGBUC4IRGBUC3', 'itk::Image< itk::RGBPixel< unsigned char >,4 >,itk::Image< itk::RGBPixel< unsigned char >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICD4ICD3', 'itk::Image< std::complex< double >,4 >,itk::Image< std::complex< double >,3 >'),
  ('ImageSeriesWriter', 'itk::ImageSeriesWriter', 'itkImageSeriesWriterICF4ICF3', 'itk::Image< std::complex< float >,4 >,itk::Image< std::complex< float >,3 >'),
)
