depends = ('ITKPyBase', 'ITKSmoothing', 'ITKMesh', 'ITKImageStatistics', 'ITKImageSources', 'ITKImageGradient', )
templates = (
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterISS2', 'itk::Image< signed short,2 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterISS3', 'itk::Image< signed short,3 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterISS4', 'itk::Image< signed short,4 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIUC2', 'itk::Image< unsigned char,2 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIUC3', 'itk::Image< unsigned char,3 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIUC4', 'itk::Image< unsigned char,4 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIUL2', 'itk::Image< unsigned long,2 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIUL3', 'itk::Image< unsigned long,3 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIUL4', 'itk::Image< unsigned long,4 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIF2', 'itk::Image< float,2 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIF3', 'itk::Image< float,3 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterIF4', 'itk::Image< float,4 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterID2', 'itk::Image< double,2 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterID3', 'itk::Image< double,3 >'),
  ('HessianRecursiveGaussianImageFilter', 'itk::HessianRecursiveGaussianImageFilter', 'itkHessianRecursiveGaussianImageFilterID4', 'itk::Image< double,4 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('BilateralImageFilter', 'itk::BilateralImageFilter', 'itkBilateralImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('CannyEdgeDetectionImageFilter', 'itk::CannyEdgeDetectionImageFilter', 'itkCannyEdgeDetectionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('CannyEdgeDetectionImageFilter', 'itk::CannyEdgeDetectionImageFilter', 'itkCannyEdgeDetectionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('CannyEdgeDetectionImageFilter', 'itk::CannyEdgeDetectionImageFilter', 'itkCannyEdgeDetectionImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('CannyEdgeDetectionImageFilter', 'itk::CannyEdgeDetectionImageFilter', 'itkCannyEdgeDetectionImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('CannyEdgeDetectionImageFilter', 'itk::CannyEdgeDetectionImageFilter', 'itkCannyEdgeDetectionImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('CannyEdgeDetectionImageFilter', 'itk::CannyEdgeDetectionImageFilter', 'itkCannyEdgeDetectionImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('DerivativeImageFilter', 'itk::DerivativeImageFilter', 'itkDerivativeImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('DerivativeImageFilter', 'itk::DerivativeImageFilter', 'itkDerivativeImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('DerivativeImageFilter', 'itk::DerivativeImageFilter', 'itkDerivativeImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('DerivativeImageFilter', 'itk::DerivativeImageFilter', 'itkDerivativeImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DerivativeImageFilter', 'itk::DerivativeImageFilter', 'itkDerivativeImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DerivativeImageFilter', 'itk::DerivativeImageFilter', 'itkDerivativeImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('DerivativeImageFilter', 'itk::DerivativeImageFilter', 'itkDerivativeImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('DerivativeImageFilter', 'itk::DerivativeImageFilter', 'itkDerivativeImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('DerivativeImageFilter', 'itk::DerivativeImageFilter', 'itkDerivativeImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('GradientVectorFlowImageFilter', 'itk::GradientVectorFlowImageFilter', 'itkGradientVectorFlowImageFilterIVD22IVD22D', 'itk::Image< itk::Vector< double,2 >,2 >, itk::Image< itk::Vector< double,2 >,2 >, double'),
  ('GradientVectorFlowImageFilter', 'itk::GradientVectorFlowImageFilter', 'itkGradientVectorFlowImageFilterIVF22IVF22F', 'itk::Image< itk::Vector< float,2 >,2 >, itk::Image< itk::Vector< float,2 >,2 >, float'),
  ('GradientVectorFlowImageFilter', 'itk::GradientVectorFlowImageFilter', 'itkGradientVectorFlowImageFilterIVD33IVD33D', 'itk::Image< itk::Vector< double,3 >,3 >, itk::Image< itk::Vector< double,3 >,3 >, double'),
  ('GradientVectorFlowImageFilter', 'itk::GradientVectorFlowImageFilter', 'itkGradientVectorFlowImageFilterIVF33IVF33F', 'itk::Image< itk::Vector< float,3 >,3 >, itk::Image< itk::Vector< float,3 >,3 >, float'),
  ('GradientVectorFlowImageFilter', 'itk::GradientVectorFlowImageFilter', 'itkGradientVectorFlowImageFilterIVD44IVD44D', 'itk::Image< itk::Vector< double,4 >,4 >, itk::Image< itk::Vector< double,4 >,4 >, double'),
  ('GradientVectorFlowImageFilter', 'itk::GradientVectorFlowImageFilter', 'itkGradientVectorFlowImageFilterIVF44IVF44F', 'itk::Image< itk::Vector< float,4 >,4 >, itk::Image< itk::Vector< float,4 >,4 >, float'),
  ('Hessian3DToVesselnessMeasureImageFilter', 'itk::Hessian3DToVesselnessMeasureImageFilter', 'itkHessian3DToVesselnessMeasureImageFilterSS', 'signed short'),
  ('Hessian3DToVesselnessMeasureImageFilter', 'itk::Hessian3DToVesselnessMeasureImageFilter', 'itkHessian3DToVesselnessMeasureImageFilterUC', 'unsigned char'),
  ('Hessian3DToVesselnessMeasureImageFilter', 'itk::Hessian3DToVesselnessMeasureImageFilter', 'itkHessian3DToVesselnessMeasureImageFilterUL', 'unsigned long'),
  ('Hessian3DToVesselnessMeasureImageFilter', 'itk::Hessian3DToVesselnessMeasureImageFilter', 'itkHessian3DToVesselnessMeasureImageFilterF', 'float'),
  ('Hessian3DToVesselnessMeasureImageFilter', 'itk::Hessian3DToVesselnessMeasureImageFilter', 'itkHessian3DToVesselnessMeasureImageFilterD', 'double'),
  ('HoughTransform2DCirclesImageFilter', 'itk::HoughTransform2DCirclesImageFilter', 'itkHoughTransform2DCirclesImageFilterFF', 'float, float'),
  ('HoughTransform2DCirclesImageFilter', 'itk::HoughTransform2DCirclesImageFilter', 'itkHoughTransform2DCirclesImageFilterDD', 'double, double'),
  ('HoughTransform2DLinesImageFilter', 'itk::HoughTransform2DLinesImageFilter', 'itkHoughTransform2DLinesImageFilterFF', 'float, float'),
  ('HoughTransform2DLinesImageFilter', 'itk::HoughTransform2DLinesImageFilter', 'itkHoughTransform2DLinesImageFilterDD', 'double, double'),
  ('LaplacianImageFilter', 'itk::LaplacianImageFilter', 'itkLaplacianImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('LaplacianImageFilter', 'itk::LaplacianImageFilter', 'itkLaplacianImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('LaplacianImageFilter', 'itk::LaplacianImageFilter', 'itkLaplacianImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('LaplacianImageFilter', 'itk::LaplacianImageFilter', 'itkLaplacianImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('LaplacianImageFilter', 'itk::LaplacianImageFilter', 'itkLaplacianImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('LaplacianImageFilter', 'itk::LaplacianImageFilter', 'itkLaplacianImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('LaplacianRecursiveGaussianImageFilter', 'itk::LaplacianRecursiveGaussianImageFilter', 'itkLaplacianRecursiveGaussianImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('LaplacianSharpeningImageFilter', 'itk::LaplacianSharpeningImageFilter', 'itkLaplacianSharpeningImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MaskFeaturePointSelectionFilter', 'itk::MaskFeaturePointSelectionFilter', 'itkMaskFeaturePointSelectionFilterIF3', 'itk::Image< float,3 >'),
  ('MaskFeaturePointSelectionFilter', 'itk::MaskFeaturePointSelectionFilter', 'itkMaskFeaturePointSelectionFilterID3', 'itk::Image< double,3 >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('SimpleContourExtractorImageFilter', 'itk::SimpleContourExtractorImageFilter', 'itkSimpleContourExtractorImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('SobelEdgeDetectionImageFilter', 'itk::SobelEdgeDetectionImageFilter', 'itkSobelEdgeDetectionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SobelEdgeDetectionImageFilter', 'itk::SobelEdgeDetectionImageFilter', 'itkSobelEdgeDetectionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SobelEdgeDetectionImageFilter', 'itk::SobelEdgeDetectionImageFilter', 'itkSobelEdgeDetectionImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('SobelEdgeDetectionImageFilter', 'itk::SobelEdgeDetectionImageFilter', 'itkSobelEdgeDetectionImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('SobelEdgeDetectionImageFilter', 'itk::SobelEdgeDetectionImageFilter', 'itkSobelEdgeDetectionImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('SobelEdgeDetectionImageFilter', 'itk::SobelEdgeDetectionImageFilter', 'itkSobelEdgeDetectionImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('ZeroCrossingBasedEdgeDetectionImageFilter', 'itk::ZeroCrossingBasedEdgeDetectionImageFilter', 'itkZeroCrossingBasedEdgeDetectionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ZeroCrossingBasedEdgeDetectionImageFilter', 'itk::ZeroCrossingBasedEdgeDetectionImageFilter', 'itkZeroCrossingBasedEdgeDetectionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ZeroCrossingBasedEdgeDetectionImageFilter', 'itk::ZeroCrossingBasedEdgeDetectionImageFilter', 'itkZeroCrossingBasedEdgeDetectionImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ZeroCrossingBasedEdgeDetectionImageFilter', 'itk::ZeroCrossingBasedEdgeDetectionImageFilter', 'itkZeroCrossingBasedEdgeDetectionImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ZeroCrossingBasedEdgeDetectionImageFilter', 'itk::ZeroCrossingBasedEdgeDetectionImageFilter', 'itkZeroCrossingBasedEdgeDetectionImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ZeroCrossingBasedEdgeDetectionImageFilter', 'itk::ZeroCrossingBasedEdgeDetectionImageFilter', 'itkZeroCrossingBasedEdgeDetectionImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('ZeroCrossingImageFilter', 'itk::ZeroCrossingImageFilter', 'itkZeroCrossingImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ZeroCrossingImageFilter', 'itk::ZeroCrossingImageFilter', 'itkZeroCrossingImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ZeroCrossingImageFilter', 'itk::ZeroCrossingImageFilter', 'itkZeroCrossingImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('ZeroCrossingImageFilter', 'itk::ZeroCrossingImageFilter', 'itkZeroCrossingImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ZeroCrossingImageFilter', 'itk::ZeroCrossingImageFilter', 'itkZeroCrossingImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ZeroCrossingImageFilter', 'itk::ZeroCrossingImageFilter', 'itkZeroCrossingImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ZeroCrossingImageFilter', 'itk::ZeroCrossingImageFilter', 'itkZeroCrossingImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ZeroCrossingImageFilter', 'itk::ZeroCrossingImageFilter', 'itkZeroCrossingImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ZeroCrossingImageFilter', 'itk::ZeroCrossingImageFilter', 'itkZeroCrossingImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
)
