depends = ('ITKPyBase', 'ITKTransform', 'ITKStatistics', )
templates = (
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionISS2DF', 'itk::Image< signed short,2 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionISS2DD', 'itk::Image< signed short,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC2DF', 'itk::Image< unsigned char,2 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC2DD', 'itk::Image< unsigned char,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUL2DF', 'itk::Image< unsigned long,2 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUL2DD', 'itk::Image< unsigned long,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF2DF', 'itk::Image< float,2 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF2DD', 'itk::Image< float,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionID2DF', 'itk::Image< double,2 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionID2DD', 'itk::Image< double,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVD22VD2D', 'itk::Image< itk::Vector< double,2 >,2 >,itk::Vector< double,2 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVD22CVD2D', 'itk::Image< itk::Vector< double,2 >,2 >,itk::CovariantVector< double,2 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVD22DD', 'itk::Image< itk::Vector< double,2 >,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVF22VD2D', 'itk::Image< itk::Vector< float,2 >,2 >,itk::Vector< double,2 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVF22CVD2D', 'itk::Image< itk::Vector< float,2 >,2 >,itk::CovariantVector< double,2 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVF22DD', 'itk::Image< itk::Vector< float,2 >,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVD22VD2D', 'itk::Image< itk::CovariantVector< double,2 >,2 >,itk::Vector< double,2 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVD22CVD2D', 'itk::Image< itk::CovariantVector< double,2 >,2 >,itk::CovariantVector< double,2 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVD22DD', 'itk::Image< itk::CovariantVector< double,2 >,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVF22VD2D', 'itk::Image< itk::CovariantVector< float,2 >,2 >,itk::Vector< double,2 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVF22CVD2D', 'itk::Image< itk::CovariantVector< float,2 >,2 >,itk::CovariantVector< double,2 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVF22DD', 'itk::Image< itk::CovariantVector< float,2 >,2 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBUC2RGBUCD', 'itk::Image< itk::RGBPixel< unsigned char >,2 >,itk::RGBPixel< unsigned char >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBAUC2RGBAUCD', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >,itk::RGBAPixel< unsigned char >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBUC2RGBDD', 'itk::Image< itk::RGBPixel< unsigned char >,2 >,itk::RGBPixel< double >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBAUC2RGBADD', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >,itk::RGBAPixel< double >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionISS3DF', 'itk::Image< signed short,3 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionISS3DD', 'itk::Image< signed short,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC3DF', 'itk::Image< unsigned char,3 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC3DD', 'itk::Image< unsigned char,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUL3DF', 'itk::Image< unsigned long,3 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUL3DD', 'itk::Image< unsigned long,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF3DF', 'itk::Image< float,3 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF3DD', 'itk::Image< float,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionID3DF', 'itk::Image< double,3 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionID3DD', 'itk::Image< double,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVD33VD3D', 'itk::Image< itk::Vector< double,3 >,3 >,itk::Vector< double,3 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVD33CVD3D', 'itk::Image< itk::Vector< double,3 >,3 >,itk::CovariantVector< double,3 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVD33DD', 'itk::Image< itk::Vector< double,3 >,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVF33VD3D', 'itk::Image< itk::Vector< float,3 >,3 >,itk::Vector< double,3 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVF33CVD3D', 'itk::Image< itk::Vector< float,3 >,3 >,itk::CovariantVector< double,3 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVF33DD', 'itk::Image< itk::Vector< float,3 >,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVD33VD3D', 'itk::Image< itk::CovariantVector< double,3 >,3 >,itk::Vector< double,3 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVD33CVD3D', 'itk::Image< itk::CovariantVector< double,3 >,3 >,itk::CovariantVector< double,3 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVD33DD', 'itk::Image< itk::CovariantVector< double,3 >,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVF33VD3D', 'itk::Image< itk::CovariantVector< float,3 >,3 >,itk::Vector< double,3 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVF33CVD3D', 'itk::Image< itk::CovariantVector< float,3 >,3 >,itk::CovariantVector< double,3 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVF33DD', 'itk::Image< itk::CovariantVector< float,3 >,3 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBUC3RGBUCD', 'itk::Image< itk::RGBPixel< unsigned char >,3 >,itk::RGBPixel< unsigned char >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBAUC3RGBAUCD', 'itk::Image< itk::RGBAPixel< unsigned char >,3 >,itk::RGBAPixel< unsigned char >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBUC3RGBDD', 'itk::Image< itk::RGBPixel< unsigned char >,3 >,itk::RGBPixel< double >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBAUC3RGBADD', 'itk::Image< itk::RGBAPixel< unsigned char >,3 >,itk::RGBAPixel< double >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionISS4DF', 'itk::Image< signed short,4 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionISS4DD', 'itk::Image< signed short,4 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC4DF', 'itk::Image< unsigned char,4 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUC4DD', 'itk::Image< unsigned char,4 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUL4DF', 'itk::Image< unsigned long,4 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIUL4DD', 'itk::Image< unsigned long,4 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF4DF', 'itk::Image< float,4 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIF4DD', 'itk::Image< float,4 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionID4DF', 'itk::Image< double,4 >,double,float'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionID4DD', 'itk::Image< double,4 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVD44VD4D', 'itk::Image< itk::Vector< double,4 >,4 >,itk::Vector< double,4 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVD44CVD4D', 'itk::Image< itk::Vector< double,4 >,4 >,itk::CovariantVector< double,4 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVD44DD', 'itk::Image< itk::Vector< double,4 >,4 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVF44VD4D', 'itk::Image< itk::Vector< float,4 >,4 >,itk::Vector< double,4 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVF44CVD4D', 'itk::Image< itk::Vector< float,4 >,4 >,itk::CovariantVector< double,4 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIVF44DD', 'itk::Image< itk::Vector< float,4 >,4 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVD44VD4D', 'itk::Image< itk::CovariantVector< double,4 >,4 >,itk::Vector< double,4 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVD44CVD4D', 'itk::Image< itk::CovariantVector< double,4 >,4 >,itk::CovariantVector< double,4 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVD44DD', 'itk::Image< itk::CovariantVector< double,4 >,4 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVF44VD4D', 'itk::Image< itk::CovariantVector< float,4 >,4 >,itk::Vector< double,4 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVF44CVD4D', 'itk::Image< itk::CovariantVector< float,4 >,4 >,itk::CovariantVector< double,4 >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionICVF44DD', 'itk::Image< itk::CovariantVector< float,4 >,4 >,double,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBUC4RGBUCD', 'itk::Image< itk::RGBPixel< unsigned char >,4 >,itk::RGBPixel< unsigned char >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBAUC4RGBAUCD', 'itk::Image< itk::RGBAPixel< unsigned char >,4 >,itk::RGBAPixel< unsigned char >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBUC4RGBDD', 'itk::Image< itk::RGBPixel< unsigned char >,4 >,itk::RGBPixel< double >,double'),
  ('ImageFunction', 'itk::ImageFunction', 'itkImageFunctionIRGBAUC4RGBADD', 'itk::Image< itk::RGBAPixel< unsigned char >,4 >,itk::RGBAPixel< double >,double'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('BSplineDecompositionImageFilter', 'itk::BSplineDecompositionImageFilter', 'itkBSplineDecompositionImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionISS2DSS', 'itk::Image< signed short,2 >,double,signed short'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIUC2DUC', 'itk::Image< unsigned char,2 >,double,unsigned char'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIUL2DUL', 'itk::Image< unsigned long,2 >,double,unsigned long'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIF2DF', 'itk::Image< float,2 >,double,float'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionID2DD', 'itk::Image< double,2 >,double,double'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionISS3DSS', 'itk::Image< signed short,3 >,double,signed short'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIUC3DUC', 'itk::Image< unsigned char,3 >,double,unsigned char'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIUL3DUL', 'itk::Image< unsigned long,3 >,double,unsigned long'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIF3DF', 'itk::Image< float,3 >,double,float'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionID3DD', 'itk::Image< double,3 >,double,double'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionISS4DSS', 'itk::Image< signed short,4 >,double,signed short'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIUC4DUC', 'itk::Image< unsigned char,4 >,double,unsigned char'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIUL4DUL', 'itk::Image< unsigned long,4 >,double,unsigned long'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionIF4DF', 'itk::Image< float,4 >,double,float'),
  ('BSplineInterpolateImageFunction', 'itk::BSplineInterpolateImageFunction', 'itkBSplineInterpolateImageFunctionID4DD', 'itk::Image< double,4 >,double,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionISS2D', 'itk::Image< signed short,2 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIUC2D', 'itk::Image< unsigned char,2 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIUL2D', 'itk::Image< unsigned long,2 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIF2D', 'itk::Image< float,2 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionID2D', 'itk::Image< double,2 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionISS3D', 'itk::Image< signed short,3 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIUC3D', 'itk::Image< unsigned char,3 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIUL3D', 'itk::Image< unsigned long,3 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIF3D', 'itk::Image< float,3 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionID3D', 'itk::Image< double,3 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionISS4D', 'itk::Image< signed short,4 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIUC4D', 'itk::Image< unsigned char,4 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIUL4D', 'itk::Image< unsigned long,4 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionIF4D', 'itk::Image< float,4 >,double'),
  ('BSplineResampleImageFunction', 'itk::BSplineResampleImageFunction', 'itkBSplineResampleImageFunctionID4D', 'itk::Image< double,4 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionISS2D', 'itk::Image< signed short,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionISS2F', 'itk::Image< signed short,2 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUC2D', 'itk::Image< unsigned char,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUC2F', 'itk::Image< unsigned char,2 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUL2D', 'itk::Image< unsigned long,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUL2F', 'itk::Image< unsigned long,2 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIF2D', 'itk::Image< float,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIF2F', 'itk::Image< float,2 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionID2D', 'itk::Image< double,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionID2F', 'itk::Image< double,2 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIVD22D', 'itk::Image< itk::Vector< double,2 >,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIVF22D', 'itk::Image< itk::Vector< float,2 >,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionICVD22D', 'itk::Image< itk::CovariantVector< double,2 >,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionICVF22D', 'itk::Image< itk::CovariantVector< float,2 >,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIRGBUC2D', 'itk::Image< itk::RGBPixel< unsigned char >,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIRGBAUC2D', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionISS3D', 'itk::Image< signed short,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionISS3F', 'itk::Image< signed short,3 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUC3D', 'itk::Image< unsigned char,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUC3F', 'itk::Image< unsigned char,3 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUL3D', 'itk::Image< unsigned long,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUL3F', 'itk::Image< unsigned long,3 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIF3D', 'itk::Image< float,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIF3F', 'itk::Image< float,3 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionID3D', 'itk::Image< double,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionID3F', 'itk::Image< double,3 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIVD33D', 'itk::Image< itk::Vector< double,3 >,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIVF33D', 'itk::Image< itk::Vector< float,3 >,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionICVD33D', 'itk::Image< itk::CovariantVector< double,3 >,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionICVF33D', 'itk::Image< itk::CovariantVector< float,3 >,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIRGBUC3D', 'itk::Image< itk::RGBPixel< unsigned char >,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIRGBAUC3D', 'itk::Image< itk::RGBAPixel< unsigned char >,3 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionISS4D', 'itk::Image< signed short,4 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionISS4F', 'itk::Image< signed short,4 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUC4D', 'itk::Image< unsigned char,4 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUC4F', 'itk::Image< unsigned char,4 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUL4D', 'itk::Image< unsigned long,4 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIUL4F', 'itk::Image< unsigned long,4 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIF4D', 'itk::Image< float,4 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIF4F', 'itk::Image< float,4 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionID4D', 'itk::Image< double,4 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionID4F', 'itk::Image< double,4 >,float'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIVD44D', 'itk::Image< itk::Vector< double,4 >,4 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIVF44D', 'itk::Image< itk::Vector< float,4 >,4 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionICVD44D', 'itk::Image< itk::CovariantVector< double,4 >,4 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionICVF44D', 'itk::Image< itk::CovariantVector< float,4 >,4 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIRGBUC4D', 'itk::Image< itk::RGBPixel< unsigned char >,4 >,double'),
  ('InterpolateImageFunction', 'itk::InterpolateImageFunction', 'itkInterpolateImageFunctionIRGBAUC4D', 'itk::Image< itk::RGBAPixel< unsigned char >,4 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionISS2D', 'itk::Image< signed short,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIUC2D', 'itk::Image< unsigned char,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIUL2D', 'itk::Image< unsigned long,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIF2D', 'itk::Image< float,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionID2D', 'itk::Image< double,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIVD22D', 'itk::Image< itk::Vector< double,2 >,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIVF22D', 'itk::Image< itk::Vector< float,2 >,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionICVD22D', 'itk::Image< itk::CovariantVector< double,2 >,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionICVF22D', 'itk::Image< itk::CovariantVector< float,2 >,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIRGBUC2D', 'itk::Image< itk::RGBPixel< unsigned char >,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIRGBAUC2D', 'itk::Image< itk::RGBAPixel< unsigned char >,2 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionISS3D', 'itk::Image< signed short,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIUC3D', 'itk::Image< unsigned char,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIUL3D', 'itk::Image< unsigned long,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIF3D', 'itk::Image< float,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionID3D', 'itk::Image< double,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIVD33D', 'itk::Image< itk::Vector< double,3 >,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIVF33D', 'itk::Image< itk::Vector< float,3 >,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionICVD33D', 'itk::Image< itk::CovariantVector< double,3 >,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionICVF33D', 'itk::Image< itk::CovariantVector< float,3 >,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIRGBUC3D', 'itk::Image< itk::RGBPixel< unsigned char >,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIRGBAUC3D', 'itk::Image< itk::RGBAPixel< unsigned char >,3 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionISS4D', 'itk::Image< signed short,4 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIUC4D', 'itk::Image< unsigned char,4 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIUL4D', 'itk::Image< unsigned long,4 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIF4D', 'itk::Image< float,4 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionID4D', 'itk::Image< double,4 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIVD44D', 'itk::Image< itk::Vector< double,4 >,4 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIVF44D', 'itk::Image< itk::Vector< float,4 >,4 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionICVD44D', 'itk::Image< itk::CovariantVector< double,4 >,4 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionICVF44D', 'itk::Image< itk::CovariantVector< float,4 >,4 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIRGBUC4D', 'itk::Image< itk::RGBPixel< unsigned char >,4 >,double'),
  ('LinearInterpolateImageFunction', 'itk::LinearInterpolateImageFunction', 'itkLinearInterpolateImageFunctionIRGBAUC4D', 'itk::Image< itk::RGBAPixel< unsigned char >,4 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionISS2D', 'itk::Image< signed short,2 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIUC2D', 'itk::Image< unsigned char,2 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIUL2D', 'itk::Image< unsigned long,2 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIF2D', 'itk::Image< float,2 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionID2D', 'itk::Image< double,2 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionISS3D', 'itk::Image< signed short,3 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIUC3D', 'itk::Image< unsigned char,3 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIUL3D', 'itk::Image< unsigned long,3 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIF3D', 'itk::Image< float,3 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionID3D', 'itk::Image< double,3 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionISS4D', 'itk::Image< signed short,4 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIUC4D', 'itk::Image< unsigned char,4 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIUL4D', 'itk::Image< unsigned long,4 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionIF4D', 'itk::Image< float,4 >,double'),
  ('NearestNeighborInterpolateImageFunction', 'itk::NearestNeighborInterpolateImageFunction', 'itkNearestNeighborInterpolateImageFunctionID4D', 'itk::Image< double,4 >,double'),
)
