depends = ('ITKPyBase', 'ITKThresholding', 'ITKOptimizers', 'ITKNarrowBand', 'ITKImageFeature', 'ITKImageCompare', 'ITKIOImageBase', 'ITKFiniteDifference', 'ITKFastMarching', 'ITKDistanceMap', 'ITKAnisotropicSmoothing', )
templates = (
  ('LevelSetFunction', 'itk::LevelSetFunction', 'itkLevelSetFunctionIF2', 'itk::Image< float,2 >'),
  ('LevelSetFunction', 'itk::LevelSetFunction', 'itkLevelSetFunctionIF3', 'itk::Image< float,3 >'),
  ('LevelSetFunction', 'itk::LevelSetFunction', 'itkLevelSetFunctionIF4', 'itk::Image< float,4 >'),
  ('LevelSetFunction', 'itk::LevelSetFunction', 'itkLevelSetFunctionID2', 'itk::Image< double,2 >'),
  ('LevelSetFunction', 'itk::LevelSetFunction', 'itkLevelSetFunctionID3', 'itk::Image< double,3 >'),
  ('LevelSetFunction', 'itk::LevelSetFunction', 'itkLevelSetFunctionID4', 'itk::Image< double,4 >'),
  ('SparseFieldLevelSetImageFilter', 'itk::SparseFieldLevelSetImageFilter', 'itkSparseFieldLevelSetImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SparseFieldLevelSetImageFilter', 'itk::SparseFieldLevelSetImageFilter', 'itkSparseFieldLevelSetImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SparseFieldLevelSetImageFilter', 'itk::SparseFieldLevelSetImageFilter', 'itkSparseFieldLevelSetImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('SparseFieldLevelSetImageFilter', 'itk::SparseFieldLevelSetImageFilter', 'itkSparseFieldLevelSetImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('SparseFieldLevelSetImageFilter', 'itk::SparseFieldLevelSetImageFilter', 'itkSparseFieldLevelSetImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('SparseFieldLevelSetImageFilter', 'itk::SparseFieldLevelSetImageFilter', 'itkSparseFieldLevelSetImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('SparseFieldLevelSetNode', 'itk::SparseFieldLevelSetNode', 'itkSparseFieldLevelSetNodeI2', 'itk::Index< 2 >'),
  ('SparseFieldLevelSetNode', 'itk::SparseFieldLevelSetNode', 'itkSparseFieldLevelSetNodeI3', 'itk::Index< 3 >'),
  ('SparseFieldLevelSetNode', 'itk::SparseFieldLevelSetNode', 'itkSparseFieldLevelSetNodeI4', 'itk::Index< 4 >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerSFLSNI2', 'itk::SparseFieldLevelSetNode< itk::Index< 2 > >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerSFLSNI3', 'itk::SparseFieldLevelSetNode< itk::Index< 3 > >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerSFLSNI4', 'itk::SparseFieldLevelSetNode< itk::Index< 4 > >'),
  ('NormalBandNode', 'itk::NormalBandNode', 'itkNormalBandNodeIF2', 'itk::Image< float,2 >'),
  ('NormalBandNode', 'itk::NormalBandNode', 'itkNormalBandNodeIF3', 'itk::Image< float,3 >'),
  ('NormalBandNode', 'itk::NormalBandNode', 'itkNormalBandNodeIF4', 'itk::Image< float,4 >'),
  ('NormalBandNode', 'itk::NormalBandNode', 'itkNormalBandNodeID2', 'itk::Image< double,2 >'),
  ('NormalBandNode', 'itk::NormalBandNode', 'itkNormalBandNodeID3', 'itk::Image< double,3 >'),
  ('NormalBandNode', 'itk::NormalBandNode', 'itkNormalBandNodeID4', 'itk::Image< double,4 >'),
  ('Image', 'itk::Image', 'itkImageNBNIF22', 'itk::NormalBandNode< itk::Image< float,2 > >*, 2'),
  ('Image', 'itk::Image', 'itkImageNBNID22', 'itk::NormalBandNode< itk::Image< double,2 > >*, 2'),
  ('Image', 'itk::Image', 'itkImageNBNIF33', 'itk::NormalBandNode< itk::Image< float,3 > >*, 3'),
  ('Image', 'itk::Image', 'itkImageNBNID33', 'itk::NormalBandNode< itk::Image< double,3 > >*, 3'),
  ('Image', 'itk::Image', 'itkImageNBNIF44', 'itk::NormalBandNode< itk::Image< float,4 > >*, 4'),
  ('Image', 'itk::Image', 'itkImageNBNID44', 'itk::NormalBandNode< itk::Image< double,4 > >*, 4'),
  ('SparseFieldFourthOrderLevelSetImageFilter', 'itk::SparseFieldFourthOrderLevelSetImageFilter', 'itkSparseFieldFourthOrderLevelSetImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SparseFieldFourthOrderLevelSetImageFilter', 'itk::SparseFieldFourthOrderLevelSetImageFilter', 'itkSparseFieldFourthOrderLevelSetImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SparseFieldFourthOrderLevelSetImageFilter', 'itk::SparseFieldFourthOrderLevelSetImageFilter', 'itkSparseFieldFourthOrderLevelSetImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('SparseFieldFourthOrderLevelSetImageFilter', 'itk::SparseFieldFourthOrderLevelSetImageFilter', 'itkSparseFieldFourthOrderLevelSetImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('SparseFieldFourthOrderLevelSetImageFilter', 'itk::SparseFieldFourthOrderLevelSetImageFilter', 'itkSparseFieldFourthOrderLevelSetImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('SparseFieldFourthOrderLevelSetImageFilter', 'itk::SparseFieldFourthOrderLevelSetImageFilter', 'itkSparseFieldFourthOrderLevelSetImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('SparseImage', 'itk::SparseImage', 'itkSparseImageNBNIF22', 'itk::NormalBandNode< itk::Image< float,2 > >, 2'),
  ('SparseImage', 'itk::SparseImage', 'itkSparseImageNBNID22', 'itk::NormalBandNode< itk::Image< double,2 > >, 2'),
  ('SparseImage', 'itk::SparseImage', 'itkSparseImageNBNIF33', 'itk::NormalBandNode< itk::Image< float,3 > >, 3'),
  ('SparseImage', 'itk::SparseImage', 'itkSparseImageNBNID33', 'itk::NormalBandNode< itk::Image< double,3 > >, 3'),
  ('SparseImage', 'itk::SparseImage', 'itkSparseImageNBNIF44', 'itk::NormalBandNode< itk::Image< float,4 > >, 4'),
  ('SparseImage', 'itk::SparseImage', 'itkSparseImageNBNID44', 'itk::NormalBandNode< itk::Image< double,4 > >, 4'),
  ('LevelSetFunctionWithRefitTerm', 'itk::LevelSetFunctionWithRefitTerm', 'itkLevelSetFunctionWithRefitTermIF2SINBNIF22', 'itk::Image< float,2 >, itk::SparseImage< itk::NormalBandNode< itk::Image< float,2 > >, 2 >'),
  ('LevelSetFunctionWithRefitTerm', 'itk::LevelSetFunctionWithRefitTerm', 'itkLevelSetFunctionWithRefitTermID2SINBNID22', 'itk::Image< double,2 >, itk::SparseImage< itk::NormalBandNode< itk::Image< double,2 > >, 2 >'),
  ('LevelSetFunctionWithRefitTerm', 'itk::LevelSetFunctionWithRefitTerm', 'itkLevelSetFunctionWithRefitTermIF3SINBNIF33', 'itk::Image< float,3 >, itk::SparseImage< itk::NormalBandNode< itk::Image< float,3 > >, 3 >'),
  ('LevelSetFunctionWithRefitTerm', 'itk::LevelSetFunctionWithRefitTerm', 'itkLevelSetFunctionWithRefitTermID3SINBNID33', 'itk::Image< double,3 >, itk::SparseImage< itk::NormalBandNode< itk::Image< double,3 > >, 3 >'),
  ('LevelSetFunctionWithRefitTerm', 'itk::LevelSetFunctionWithRefitTerm', 'itkLevelSetFunctionWithRefitTermIF4SINBNIF44', 'itk::Image< float,4 >, itk::SparseImage< itk::NormalBandNode< itk::Image< float,4 > >, 4 >'),
  ('LevelSetFunctionWithRefitTerm', 'itk::LevelSetFunctionWithRefitTerm', 'itkLevelSetFunctionWithRefitTermID4SINBNID44', 'itk::Image< double,4 >, itk::SparseImage< itk::NormalBandNode< itk::Image< double,4 > >, 4 >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerNBNIF2', 'itk::NormalBandNode< itk::Image< float,2 > >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerNBNID2', 'itk::NormalBandNode< itk::Image< double,2 > >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerNBNIF3', 'itk::NormalBandNode< itk::Image< float,3 > >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerNBNID3', 'itk::NormalBandNode< itk::Image< double,3 > >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerNBNIF4', 'itk::NormalBandNode< itk::Image< float,4 > >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerNBNID4', 'itk::NormalBandNode< itk::Image< double,4 > >'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterIF2IVD22F', 'itk::Image< float,2 >,itk::Image< itk::Vector< double,2 >,2 >,float'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterIF2IVF22F', 'itk::Image< float,2 >,itk::Image< itk::Vector< float,2 >,2 >,float'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterID2ID2D', 'itk::Image< double,2 >,itk::Image< double,2 >,double'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterID2IVD22D', 'itk::Image< double,2 >,itk::Image< itk::Vector< double,2 >,2 >,double'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterID2IVF22D', 'itk::Image< double,2 >,itk::Image< itk::Vector< float,2 >,2 >,double'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterIF3IVD33F', 'itk::Image< float,3 >,itk::Image< itk::Vector< double,3 >,3 >,float'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterIF3IVF33F', 'itk::Image< float,3 >,itk::Image< itk::Vector< float,3 >,3 >,float'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterID3ID3D', 'itk::Image< double,3 >,itk::Image< double,3 >,double'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterID3IVD33D', 'itk::Image< double,3 >,itk::Image< itk::Vector< double,3 >,3 >,double'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterID3IVF33D', 'itk::Image< double,3 >,itk::Image< itk::Vector< float,3 >,3 >,double'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterIF4IF4F', 'itk::Image< float,4 >,itk::Image< float,4 >,float'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterIF4IVD44F', 'itk::Image< float,4 >,itk::Image< itk::Vector< double,4 >,4 >,float'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterIF4IVF44F', 'itk::Image< float,4 >,itk::Image< itk::Vector< float,4 >,4 >,float'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterID4ID4D', 'itk::Image< double,4 >,itk::Image< double,4 >,double'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterID4IVD44D', 'itk::Image< double,4 >,itk::Image< itk::Vector< double,4 >,4 >,double'),
  ('SegmentationLevelSetImageFilter', 'itk::SegmentationLevelSetImageFilter', 'itkSegmentationLevelSetImageFilterID4IVF44D', 'itk::Image< double,4 >,itk::Image< itk::Vector< float,4 >,4 >,double'),
  ('ShapePriorSegmentationLevelSetImageFilter', 'itk::ShapePriorSegmentationLevelSetImageFilter', 'itkShapePriorSegmentationLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('ShapePriorSegmentationLevelSetImageFilter', 'itk::ShapePriorSegmentationLevelSetImageFilter', 'itkShapePriorSegmentationLevelSetImageFilterID2ID2D', 'itk::Image< double,2 >,itk::Image< double,2 >,double'),
  ('ShapePriorSegmentationLevelSetImageFilter', 'itk::ShapePriorSegmentationLevelSetImageFilter', 'itkShapePriorSegmentationLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('ShapePriorSegmentationLevelSetImageFilter', 'itk::ShapePriorSegmentationLevelSetImageFilter', 'itkShapePriorSegmentationLevelSetImageFilterID3ID3D', 'itk::Image< double,3 >,itk::Image< double,3 >,double'),
  ('ShapePriorSegmentationLevelSetImageFilter', 'itk::ShapePriorSegmentationLevelSetImageFilter', 'itkShapePriorSegmentationLevelSetImageFilterIF4IF4F', 'itk::Image< float,4 >,itk::Image< float,4 >,float'),
  ('ShapePriorSegmentationLevelSetImageFilter', 'itk::ShapePriorSegmentationLevelSetImageFilter', 'itkShapePriorSegmentationLevelSetImageFilterID4ID4D', 'itk::Image< double,4 >,itk::Image< double,4 >,double'),
  ('AnisotropicFourthOrderLevelSetImageFilter', 'itk::AnisotropicFourthOrderLevelSetImageFilter', 'itkAnisotropicFourthOrderLevelSetImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('AnisotropicFourthOrderLevelSetImageFilter', 'itk::AnisotropicFourthOrderLevelSetImageFilter', 'itkAnisotropicFourthOrderLevelSetImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('AnisotropicFourthOrderLevelSetImageFilter', 'itk::AnisotropicFourthOrderLevelSetImageFilter', 'itkAnisotropicFourthOrderLevelSetImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('AnisotropicFourthOrderLevelSetImageFilter', 'itk::AnisotropicFourthOrderLevelSetImageFilter', 'itkAnisotropicFourthOrderLevelSetImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('AnisotropicFourthOrderLevelSetImageFilter', 'itk::AnisotropicFourthOrderLevelSetImageFilter', 'itkAnisotropicFourthOrderLevelSetImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('AnisotropicFourthOrderLevelSetImageFilter', 'itk::AnisotropicFourthOrderLevelSetImageFilter', 'itkAnisotropicFourthOrderLevelSetImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('CannySegmentationLevelSetImageFilter', 'itk::CannySegmentationLevelSetImageFilter', 'itkCannySegmentationLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('CannySegmentationLevelSetImageFilter', 'itk::CannySegmentationLevelSetImageFilter', 'itkCannySegmentationLevelSetImageFilterID2ID2D', 'itk::Image< double,2 >,itk::Image< double,2 >,double'),
  ('CannySegmentationLevelSetImageFilter', 'itk::CannySegmentationLevelSetImageFilter', 'itkCannySegmentationLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('CannySegmentationLevelSetImageFilter', 'itk::CannySegmentationLevelSetImageFilter', 'itkCannySegmentationLevelSetImageFilterID3ID3D', 'itk::Image< double,3 >,itk::Image< double,3 >,double'),
  ('CannySegmentationLevelSetImageFilter', 'itk::CannySegmentationLevelSetImageFilter', 'itkCannySegmentationLevelSetImageFilterIF4IF4F', 'itk::Image< float,4 >,itk::Image< float,4 >,float'),
  ('CannySegmentationLevelSetImageFilter', 'itk::CannySegmentationLevelSetImageFilter', 'itkCannySegmentationLevelSetImageFilterID4ID4D', 'itk::Image< double,4 >,itk::Image< double,4 >,double'),
  ('CollidingFrontsImageFilter', 'itk::CollidingFrontsImageFilter', 'itkCollidingFrontsImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('CollidingFrontsImageFilter', 'itk::CollidingFrontsImageFilter', 'itkCollidingFrontsImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('CollidingFrontsImageFilter', 'itk::CollidingFrontsImageFilter', 'itkCollidingFrontsImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('CollidingFrontsImageFilter', 'itk::CollidingFrontsImageFilter', 'itkCollidingFrontsImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('CollidingFrontsImageFilter', 'itk::CollidingFrontsImageFilter', 'itkCollidingFrontsImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('CollidingFrontsImageFilter', 'itk::CollidingFrontsImageFilter', 'itkCollidingFrontsImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('CurvesLevelSetImageFilter', 'itk::CurvesLevelSetImageFilter', 'itkCurvesLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('CurvesLevelSetImageFilter', 'itk::CurvesLevelSetImageFilter', 'itkCurvesLevelSetImageFilterID2ID2D', 'itk::Image< double,2 >,itk::Image< double,2 >,double'),
  ('CurvesLevelSetImageFilter', 'itk::CurvesLevelSetImageFilter', 'itkCurvesLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('CurvesLevelSetImageFilter', 'itk::CurvesLevelSetImageFilter', 'itkCurvesLevelSetImageFilterID3ID3D', 'itk::Image< double,3 >,itk::Image< double,3 >,double'),
  ('CurvesLevelSetImageFilter', 'itk::CurvesLevelSetImageFilter', 'itkCurvesLevelSetImageFilterIF4IF4F', 'itk::Image< float,4 >,itk::Image< float,4 >,float'),
  ('CurvesLevelSetImageFilter', 'itk::CurvesLevelSetImageFilter', 'itkCurvesLevelSetImageFilterID4ID4D', 'itk::Image< double,4 >,itk::Image< double,4 >,double'),
  ('GeodesicActiveContourLevelSetImageFilter', 'itk::GeodesicActiveContourLevelSetImageFilter', 'itkGeodesicActiveContourLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('GeodesicActiveContourLevelSetImageFilter', 'itk::GeodesicActiveContourLevelSetImageFilter', 'itkGeodesicActiveContourLevelSetImageFilterID2ID2D', 'itk::Image< double,2 >,itk::Image< double,2 >,double'),
  ('GeodesicActiveContourLevelSetImageFilter', 'itk::GeodesicActiveContourLevelSetImageFilter', 'itkGeodesicActiveContourLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('GeodesicActiveContourLevelSetImageFilter', 'itk::GeodesicActiveContourLevelSetImageFilter', 'itkGeodesicActiveContourLevelSetImageFilterID3ID3D', 'itk::Image< double,3 >,itk::Image< double,3 >,double'),
  ('GeodesicActiveContourLevelSetImageFilter', 'itk::GeodesicActiveContourLevelSetImageFilter', 'itkGeodesicActiveContourLevelSetImageFilterIF4IF4F', 'itk::Image< float,4 >,itk::Image< float,4 >,float'),
  ('GeodesicActiveContourLevelSetImageFilter', 'itk::GeodesicActiveContourLevelSetImageFilter', 'itkGeodesicActiveContourLevelSetImageFilterID4ID4D', 'itk::Image< double,4 >,itk::Image< double,4 >,double'),
  ('GeodesicActiveContourShapePriorLevelSetImageFilter', 'itk::GeodesicActiveContourShapePriorLevelSetImageFilter', 'itkGeodesicActiveContourShapePriorLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('GeodesicActiveContourShapePriorLevelSetImageFilter', 'itk::GeodesicActiveContourShapePriorLevelSetImageFilter', 'itkGeodesicActiveContourShapePriorLevelSetImageFilterID2ID2D', 'itk::Image< double,2 >,itk::Image< double,2 >,double'),
  ('GeodesicActiveContourShapePriorLevelSetImageFilter', 'itk::GeodesicActiveContourShapePriorLevelSetImageFilter', 'itkGeodesicActiveContourShapePriorLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('GeodesicActiveContourShapePriorLevelSetImageFilter', 'itk::GeodesicActiveContourShapePriorLevelSetImageFilter', 'itkGeodesicActiveContourShapePriorLevelSetImageFilterID3ID3D', 'itk::Image< double,3 >,itk::Image< double,3 >,double'),
  ('GeodesicActiveContourShapePriorLevelSetImageFilter', 'itk::GeodesicActiveContourShapePriorLevelSetImageFilter', 'itkGeodesicActiveContourShapePriorLevelSetImageFilterIF4IF4F', 'itk::Image< float,4 >,itk::Image< float,4 >,float'),
  ('GeodesicActiveContourShapePriorLevelSetImageFilter', 'itk::GeodesicActiveContourShapePriorLevelSetImageFilter', 'itkGeodesicActiveContourShapePriorLevelSetImageFilterID4ID4D', 'itk::Image< double,4 >,itk::Image< double,4 >,double'),
  ('IsotropicFourthOrderLevelSetImageFilter', 'itk::IsotropicFourthOrderLevelSetImageFilter', 'itkIsotropicFourthOrderLevelSetImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('IsotropicFourthOrderLevelSetImageFilter', 'itk::IsotropicFourthOrderLevelSetImageFilter', 'itkIsotropicFourthOrderLevelSetImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('IsotropicFourthOrderLevelSetImageFilter', 'itk::IsotropicFourthOrderLevelSetImageFilter', 'itkIsotropicFourthOrderLevelSetImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('IsotropicFourthOrderLevelSetImageFilter', 'itk::IsotropicFourthOrderLevelSetImageFilter', 'itkIsotropicFourthOrderLevelSetImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('IsotropicFourthOrderLevelSetImageFilter', 'itk::IsotropicFourthOrderLevelSetImageFilter', 'itkIsotropicFourthOrderLevelSetImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('IsotropicFourthOrderLevelSetImageFilter', 'itk::IsotropicFourthOrderLevelSetImageFilter', 'itkIsotropicFourthOrderLevelSetImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('LaplacianSegmentationLevelSetImageFilter', 'itk::LaplacianSegmentationLevelSetImageFilter', 'itkLaplacianSegmentationLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('LaplacianSegmentationLevelSetImageFilter', 'itk::LaplacianSegmentationLevelSetImageFilter', 'itkLaplacianSegmentationLevelSetImageFilterID2ID2D', 'itk::Image< double,2 >,itk::Image< double,2 >,double'),
  ('LaplacianSegmentationLevelSetImageFilter', 'itk::LaplacianSegmentationLevelSetImageFilter', 'itkLaplacianSegmentationLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('LaplacianSegmentationLevelSetImageFilter', 'itk::LaplacianSegmentationLevelSetImageFilter', 'itkLaplacianSegmentationLevelSetImageFilterID3ID3D', 'itk::Image< double,3 >,itk::Image< double,3 >,double'),
  ('LaplacianSegmentationLevelSetImageFilter', 'itk::LaplacianSegmentationLevelSetImageFilter', 'itkLaplacianSegmentationLevelSetImageFilterIF4IF4F', 'itk::Image< float,4 >,itk::Image< float,4 >,float'),
  ('LaplacianSegmentationLevelSetImageFilter', 'itk::LaplacianSegmentationLevelSetImageFilter', 'itkLaplacianSegmentationLevelSetImageFilterID4ID4D', 'itk::Image< double,4 >,itk::Image< double,4 >,double'),
  ('NarrowBandCurvesLevelSetImageFilter', 'itk::NarrowBandCurvesLevelSetImageFilter', 'itkNarrowBandCurvesLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('NarrowBandCurvesLevelSetImageFilter', 'itk::NarrowBandCurvesLevelSetImageFilter', 'itkNarrowBandCurvesLevelSetImageFilterID2ID2D', 'itk::Image< double,2 >,itk::Image< double,2 >,double'),
  ('NarrowBandCurvesLevelSetImageFilter', 'itk::NarrowBandCurvesLevelSetImageFilter', 'itkNarrowBandCurvesLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('NarrowBandCurvesLevelSetImageFilter', 'itk::NarrowBandCurvesLevelSetImageFilter', 'itkNarrowBandCurvesLevelSetImageFilterID3ID3D', 'itk::Image< double,3 >,itk::Image< double,3 >,double'),
  ('NarrowBandCurvesLevelSetImageFilter', 'itk::NarrowBandCurvesLevelSetImageFilter', 'itkNarrowBandCurvesLevelSetImageFilterIF4IF4F', 'itk::Image< float,4 >,itk::Image< float,4 >,float'),
  ('NarrowBandCurvesLevelSetImageFilter', 'itk::NarrowBandCurvesLevelSetImageFilter', 'itkNarrowBandCurvesLevelSetImageFilterID4ID4D', 'itk::Image< double,4 >,itk::Image< double,4 >,double'),
  ('NarrowBandLevelSetImageFilter', 'itk::NarrowBandLevelSetImageFilter', 'itkNarrowBandLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('NarrowBandLevelSetImageFilter', 'itk::NarrowBandLevelSetImageFilter', 'itkNarrowBandLevelSetImageFilterID2ID2D', 'itk::Image< double,2 >,itk::Image< double,2 >,double'),
  ('NarrowBandLevelSetImageFilter', 'itk::NarrowBandLevelSetImageFilter', 'itkNarrowBandLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('NarrowBandLevelSetImageFilter', 'itk::NarrowBandLevelSetImageFilter', 'itkNarrowBandLevelSetImageFilterID3ID3D', 'itk::Image< double,3 >,itk::Image< double,3 >,double'),
  ('NarrowBandLevelSetImageFilter', 'itk::NarrowBandLevelSetImageFilter', 'itkNarrowBandLevelSetImageFilterIF4IF4F', 'itk::Image< float,4 >,itk::Image< float,4 >,float'),
  ('NarrowBandLevelSetImageFilter', 'itk::NarrowBandLevelSetImageFilter', 'itkNarrowBandLevelSetImageFilterID4ID4D', 'itk::Image< double,4 >,itk::Image< double,4 >,double'),
  ('NarrowBandThresholdSegmentationLevelSetImageFilter', 'itk::NarrowBandThresholdSegmentationLevelSetImageFilter', 'itkNarrowBandThresholdSegmentationLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('NarrowBandThresholdSegmentationLevelSetImageFilter', 'itk::NarrowBandThresholdSegmentationLevelSetImageFilter', 'itkNarrowBandThresholdSegmentationLevelSetImageFilterID2ID2D', 'itk::Image< double,2 >,itk::Image< double,2 >,double'),
  ('NarrowBandThresholdSegmentationLevelSetImageFilter', 'itk::NarrowBandThresholdSegmentationLevelSetImageFilter', 'itkNarrowBandThresholdSegmentationLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('NarrowBandThresholdSegmentationLevelSetImageFilter', 'itk::NarrowBandThresholdSegmentationLevelSetImageFilter', 'itkNarrowBandThresholdSegmentationLevelSetImageFilterID3ID3D', 'itk::Image< double,3 >,itk::Image< double,3 >,double'),
  ('NarrowBandThresholdSegmentationLevelSetImageFilter', 'itk::NarrowBandThresholdSegmentationLevelSetImageFilter', 'itkNarrowBandThresholdSegmentationLevelSetImageFilterIF4IF4F', 'itk::Image< float,4 >,itk::Image< float,4 >,float'),
  ('NarrowBandThresholdSegmentationLevelSetImageFilter', 'itk::NarrowBandThresholdSegmentationLevelSetImageFilter', 'itkNarrowBandThresholdSegmentationLevelSetImageFilterID4ID4D', 'itk::Image< double,4 >,itk::Image< double,4 >,double'),
  ('ParallelSparseFieldLevelSetImageFilter', 'itk::ParallelSparseFieldLevelSetImageFilter', 'itkParallelSparseFieldLevelSetImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ParallelSparseFieldLevelSetImageFilter', 'itk::ParallelSparseFieldLevelSetImageFilter', 'itkParallelSparseFieldLevelSetImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ParallelSparseFieldLevelSetImageFilter', 'itk::ParallelSparseFieldLevelSetImageFilter', 'itkParallelSparseFieldLevelSetImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ParallelSparseFieldLevelSetImageFilter', 'itk::ParallelSparseFieldLevelSetImageFilter', 'itkParallelSparseFieldLevelSetImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ParallelSparseFieldLevelSetImageFilter', 'itk::ParallelSparseFieldLevelSetImageFilter', 'itkParallelSparseFieldLevelSetImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ParallelSparseFieldLevelSetImageFilter', 'itk::ParallelSparseFieldLevelSetImageFilter', 'itkParallelSparseFieldLevelSetImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('ParallelSparseFieldLevelSetNode', 'itk::ParallelSparseFieldLevelSetNode', 'itkParallelSparseFieldLevelSetNodeI2', 'itk::Index< 2 >'),
  ('ParallelSparseFieldLevelSetNode', 'itk::ParallelSparseFieldLevelSetNode', 'itkParallelSparseFieldLevelSetNodeI3', 'itk::Index< 3 >'),
  ('ParallelSparseFieldLevelSetNode', 'itk::ParallelSparseFieldLevelSetNode', 'itkParallelSparseFieldLevelSetNodeI4', 'itk::Index< 4 >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerPSFLSNI2', 'itk::ParallelSparseFieldLevelSetNode< itk::Index< 2 > >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerPSFLSNI3', 'itk::ParallelSparseFieldLevelSetNode< itk::Index< 3 > >'),
  ('SparseFieldLayer', 'itk::SparseFieldLayer', 'itkSparseFieldLayerPSFLSNI4', 'itk::ParallelSparseFieldLevelSetNode< itk::Index< 4 > >'),
  ('ReinitializeLevelSetImageFilter', 'itk::ReinitializeLevelSetImageFilter', 'itkReinitializeLevelSetImageFilterIF2', 'itk::Image< float,2 >'),
  ('ReinitializeLevelSetImageFilter', 'itk::ReinitializeLevelSetImageFilter', 'itkReinitializeLevelSetImageFilterIF3', 'itk::Image< float,3 >'),
  ('ReinitializeLevelSetImageFilter', 'itk::ReinitializeLevelSetImageFilter', 'itkReinitializeLevelSetImageFilterIF4', 'itk::Image< float,4 >'),
  ('ReinitializeLevelSetImageFilter', 'itk::ReinitializeLevelSetImageFilter', 'itkReinitializeLevelSetImageFilterID2', 'itk::Image< double,2 >'),
  ('ReinitializeLevelSetImageFilter', 'itk::ReinitializeLevelSetImageFilter', 'itkReinitializeLevelSetImageFilterID3', 'itk::Image< double,3 >'),
  ('ReinitializeLevelSetImageFilter', 'itk::ReinitializeLevelSetImageFilter', 'itkReinitializeLevelSetImageFilterID4', 'itk::Image< double,4 >'),
  ('SegmentationLevelSetFunction', 'itk::SegmentationLevelSetFunction', 'itkSegmentationLevelSetFunctionIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('SegmentationLevelSetFunction', 'itk::SegmentationLevelSetFunction', 'itkSegmentationLevelSetFunctionIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SegmentationLevelSetFunction', 'itk::SegmentationLevelSetFunction', 'itkSegmentationLevelSetFunctionIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('SegmentationLevelSetFunction', 'itk::SegmentationLevelSetFunction', 'itkSegmentationLevelSetFunctionID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('SegmentationLevelSetFunction', 'itk::SegmentationLevelSetFunction', 'itkSegmentationLevelSetFunctionID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('SegmentationLevelSetFunction', 'itk::SegmentationLevelSetFunction', 'itkSegmentationLevelSetFunctionID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('ShapeDetectionLevelSetImageFilter', 'itk::ShapeDetectionLevelSetImageFilter', 'itkShapeDetectionLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('ShapeDetectionLevelSetImageFilter', 'itk::ShapeDetectionLevelSetImageFilter', 'itkShapeDetectionLevelSetImageFilterID2ID2D', 'itk::Image< double,2 >,itk::Image< double,2 >,double'),
  ('ShapeDetectionLevelSetImageFilter', 'itk::ShapeDetectionLevelSetImageFilter', 'itkShapeDetectionLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('ShapeDetectionLevelSetImageFilter', 'itk::ShapeDetectionLevelSetImageFilter', 'itkShapeDetectionLevelSetImageFilterID3ID3D', 'itk::Image< double,3 >,itk::Image< double,3 >,double'),
  ('ShapeDetectionLevelSetImageFilter', 'itk::ShapeDetectionLevelSetImageFilter', 'itkShapeDetectionLevelSetImageFilterIF4IF4F', 'itk::Image< float,4 >,itk::Image< float,4 >,float'),
  ('ShapeDetectionLevelSetImageFilter', 'itk::ShapeDetectionLevelSetImageFilter', 'itkShapeDetectionLevelSetImageFilterID4ID4D', 'itk::Image< double,4 >,itk::Image< double,4 >,double'),
  ('ShapePriorMAPCostFunction', 'itk::ShapePriorMAPCostFunction', 'itkShapePriorMAPCostFunctionIF2F', 'itk::Image< float,2 >,float'),
  ('ShapePriorMAPCostFunction', 'itk::ShapePriorMAPCostFunction', 'itkShapePriorMAPCostFunctionID2D', 'itk::Image< double,2 >,double'),
  ('ShapePriorMAPCostFunction', 'itk::ShapePriorMAPCostFunction', 'itkShapePriorMAPCostFunctionIF3F', 'itk::Image< float,3 >,float'),
  ('ShapePriorMAPCostFunction', 'itk::ShapePriorMAPCostFunction', 'itkShapePriorMAPCostFunctionID3D', 'itk::Image< double,3 >,double'),
  ('ShapePriorMAPCostFunction', 'itk::ShapePriorMAPCostFunction', 'itkShapePriorMAPCostFunctionIF4F', 'itk::Image< float,4 >,float'),
  ('ShapePriorMAPCostFunction', 'itk::ShapePriorMAPCostFunction', 'itkShapePriorMAPCostFunctionID4D', 'itk::Image< double,4 >,double'),
  ('ShapePriorMAPCostFunctionBase', 'itk::ShapePriorMAPCostFunctionBase', 'itkShapePriorMAPCostFunctionBaseIF2F', 'itk::Image< float,2 >,float'),
  ('ShapePriorMAPCostFunctionBase', 'itk::ShapePriorMAPCostFunctionBase', 'itkShapePriorMAPCostFunctionBaseID2D', 'itk::Image< double,2 >,double'),
  ('ShapePriorMAPCostFunctionBase', 'itk::ShapePriorMAPCostFunctionBase', 'itkShapePriorMAPCostFunctionBaseIF3F', 'itk::Image< float,3 >,float'),
  ('ShapePriorMAPCostFunctionBase', 'itk::ShapePriorMAPCostFunctionBase', 'itkShapePriorMAPCostFunctionBaseID3D', 'itk::Image< double,3 >,double'),
  ('ShapePriorMAPCostFunctionBase', 'itk::ShapePriorMAPCostFunctionBase', 'itkShapePriorMAPCostFunctionBaseIF4F', 'itk::Image< float,4 >,float'),
  ('ShapePriorMAPCostFunctionBase', 'itk::ShapePriorMAPCostFunctionBase', 'itkShapePriorMAPCostFunctionBaseID4D', 'itk::Image< double,4 >,double'),
  ('ThresholdSegmentationLevelSetImageFilter', 'itk::ThresholdSegmentationLevelSetImageFilter', 'itkThresholdSegmentationLevelSetImageFilterIF2IF2F', 'itk::Image< float,2 >,itk::Image< float,2 >,float'),
  ('ThresholdSegmentationLevelSetImageFilter', 'itk::ThresholdSegmentationLevelSetImageFilter', 'itkThresholdSegmentationLevelSetImageFilterID2ID2D', 'itk::Image< double,2 >,itk::Image< double,2 >,double'),
  ('ThresholdSegmentationLevelSetImageFilter', 'itk::ThresholdSegmentationLevelSetImageFilter', 'itkThresholdSegmentationLevelSetImageFilterIF3IF3F', 'itk::Image< float,3 >,itk::Image< float,3 >,float'),
  ('ThresholdSegmentationLevelSetImageFilter', 'itk::ThresholdSegmentationLevelSetImageFilter', 'itkThresholdSegmentationLevelSetImageFilterID3ID3D', 'itk::Image< double,3 >,itk::Image< double,3 >,double'),
  ('ThresholdSegmentationLevelSetImageFilter', 'itk::ThresholdSegmentationLevelSetImageFilter', 'itkThresholdSegmentationLevelSetImageFilterIF4IF4F', 'itk::Image< float,4 >,itk::Image< float,4 >,float'),
  ('ThresholdSegmentationLevelSetImageFilter', 'itk::ThresholdSegmentationLevelSetImageFilter', 'itkThresholdSegmentationLevelSetImageFilterID4ID4D', 'itk::Image< double,4 >,itk::Image< double,4 >,double'),
  ('UnsharpMaskLevelSetImageFilter', 'itk::UnsharpMaskLevelSetImageFilter', 'itkUnsharpMaskLevelSetImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('UnsharpMaskLevelSetImageFilter', 'itk::UnsharpMaskLevelSetImageFilter', 'itkUnsharpMaskLevelSetImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('UnsharpMaskLevelSetImageFilter', 'itk::UnsharpMaskLevelSetImageFilter', 'itkUnsharpMaskLevelSetImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('UnsharpMaskLevelSetImageFilter', 'itk::UnsharpMaskLevelSetImageFilter', 'itkUnsharpMaskLevelSetImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('UnsharpMaskLevelSetImageFilter', 'itk::UnsharpMaskLevelSetImageFilter', 'itkUnsharpMaskLevelSetImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('UnsharpMaskLevelSetImageFilter', 'itk::UnsharpMaskLevelSetImageFilter', 'itkUnsharpMaskLevelSetImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('VectorThresholdSegmentationLevelSetImageFilter', 'itk::VectorThresholdSegmentationLevelSetImageFilter', 'itkVectorThresholdSegmentationLevelSetImageFilterIF2IVD22F', 'itk::Image< float,2 >,itk::Image< itk::Vector< double,2 >,2 >,float'),
  ('VectorThresholdSegmentationLevelSetImageFilter', 'itk::VectorThresholdSegmentationLevelSetImageFilter', 'itkVectorThresholdSegmentationLevelSetImageFilterIF2IVF22F', 'itk::Image< float,2 >,itk::Image< itk::Vector< float,2 >,2 >,float'),
  ('VectorThresholdSegmentationLevelSetImageFilter', 'itk::VectorThresholdSegmentationLevelSetImageFilter', 'itkVectorThresholdSegmentationLevelSetImageFilterID2IVD22D', 'itk::Image< double,2 >,itk::Image< itk::Vector< double,2 >,2 >,double'),
  ('VectorThresholdSegmentationLevelSetImageFilter', 'itk::VectorThresholdSegmentationLevelSetImageFilter', 'itkVectorThresholdSegmentationLevelSetImageFilterID2IVF22D', 'itk::Image< double,2 >,itk::Image< itk::Vector< float,2 >,2 >,double'),
  ('VectorThresholdSegmentationLevelSetImageFilter', 'itk::VectorThresholdSegmentationLevelSetImageFilter', 'itkVectorThresholdSegmentationLevelSetImageFilterIF3IVD33F', 'itk::Image< float,3 >,itk::Image< itk::Vector< double,3 >,3 >,float'),
  ('VectorThresholdSegmentationLevelSetImageFilter', 'itk::VectorThresholdSegmentationLevelSetImageFilter', 'itkVectorThresholdSegmentationLevelSetImageFilterIF3IVF33F', 'itk::Image< float,3 >,itk::Image< itk::Vector< float,3 >,3 >,float'),
  ('VectorThresholdSegmentationLevelSetImageFilter', 'itk::VectorThresholdSegmentationLevelSetImageFilter', 'itkVectorThresholdSegmentationLevelSetImageFilterID3IVD33D', 'itk::Image< double,3 >,itk::Image< itk::Vector< double,3 >,3 >,double'),
  ('VectorThresholdSegmentationLevelSetImageFilter', 'itk::VectorThresholdSegmentationLevelSetImageFilter', 'itkVectorThresholdSegmentationLevelSetImageFilterID3IVF33D', 'itk::Image< double,3 >,itk::Image< itk::Vector< float,3 >,3 >,double'),
  ('VectorThresholdSegmentationLevelSetImageFilter', 'itk::VectorThresholdSegmentationLevelSetImageFilter', 'itkVectorThresholdSegmentationLevelSetImageFilterIF4IVD44F', 'itk::Image< float,4 >,itk::Image< itk::Vector< double,4 >,4 >,float'),
  ('VectorThresholdSegmentationLevelSetImageFilter', 'itk::VectorThresholdSegmentationLevelSetImageFilter', 'itkVectorThresholdSegmentationLevelSetImageFilterIF4IVF44F', 'itk::Image< float,4 >,itk::Image< itk::Vector< float,4 >,4 >,float'),
  ('VectorThresholdSegmentationLevelSetImageFilter', 'itk::VectorThresholdSegmentationLevelSetImageFilter', 'itkVectorThresholdSegmentationLevelSetImageFilterID4IVD44D', 'itk::Image< double,4 >,itk::Image< itk::Vector< double,4 >,4 >,double'),
  ('VectorThresholdSegmentationLevelSetImageFilter', 'itk::VectorThresholdSegmentationLevelSetImageFilter', 'itkVectorThresholdSegmentationLevelSetImageFilterID4IVF44D', 'itk::Image< double,4 >,itk::Image< itk::Vector< float,4 >,4 >,double'),
)
