depends = ('ITKPyBase', 'ITKThresholding', 'ITKImageIntensity', 'ITKImageGrid', 'ITKImageFilterBase', 'ITKConnectedComponents', )
templates = (
  ('FlatStructuringElement', 'itk::FlatStructuringElement', 'itkFlatStructuringElement2', '2'),
  ('FlatStructuringElement', 'itk::FlatStructuringElement', 'itkFlatStructuringElement3', '3'),
  ('FlatStructuringElement', 'itk::FlatStructuringElement', 'itkFlatStructuringElement4', '4'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterISS2ISS2SE2', 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUL2IUL2SE2', 'itk::Image< unsigned long,2 >,itk::Image< unsigned long,2 >,itk::FlatStructuringElement< 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterID2ID2SE2', 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterISS3ISS3SE3', 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUL3IUL3SE3', 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,3 >,itk::FlatStructuringElement< 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterID3ID3SE3', 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterISS4ISS4SE4', 'itk::Image< signed short,4 >,itk::Image< signed short,4 >,itk::FlatStructuringElement< 4 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUC4IUC4SE4', 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,4 >,itk::FlatStructuringElement< 4 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIUL4IUL4SE4', 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,4 >,itk::FlatStructuringElement< 4 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterIF4IF4SE4', 'itk::Image< float,4 >,itk::Image< float,4 >,itk::FlatStructuringElement< 4 >'),
  ('KernelImageFilter', 'itk::KernelImageFilter', 'itkKernelImageFilterID4ID4SE4', 'itk::Image< double,4 >,itk::Image< double,4 >,itk::FlatStructuringElement< 4 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseISS2ISS2SE2', 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUL2IUL2SE2', 'itk::Image< unsigned long,2 >,itk::Image< unsigned long,2 >,itk::FlatStructuringElement< 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseID2ID2SE2', 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseISS3ISS3SE3', 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUL3IUL3SE3', 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,3 >,itk::FlatStructuringElement< 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseID3ID3SE3', 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseISS4ISS4SE4', 'itk::Image< signed short,4 >,itk::Image< signed short,4 >,itk::FlatStructuringElement< 4 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUC4IUC4SE4', 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,4 >,itk::FlatStructuringElement< 4 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIUL4IUL4SE4', 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,4 >,itk::FlatStructuringElement< 4 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseIF4IF4SE4', 'itk::Image< float,4 >,itk::Image< float,4 >,itk::FlatStructuringElement< 4 >'),
  ('MovingHistogramImageFilterBase', 'itk::MovingHistogramImageFilterBase', 'itkMovingHistogramImageFilterBaseID4ID4SE4', 'itk::Image< double,4 >,itk::Image< double,4 >,itk::FlatStructuringElement< 4 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterISS2ISS2SE2', 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIUL2IUL2SE2', 'itk::Image< unsigned long,2 >,itk::Image< unsigned long,2 >,itk::FlatStructuringElement< 2 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterID2ID2SE2', 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterISS3ISS3SE3', 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIUL3IUL3SE3', 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,3 >,itk::FlatStructuringElement< 3 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterID3ID3SE3', 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterISS4ISS4SE4', 'itk::Image< signed short,4 >,itk::Image< signed short,4 >,itk::FlatStructuringElement< 4 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIUC4IUC4SE4', 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,4 >,itk::FlatStructuringElement< 4 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIUL4IUL4SE4', 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,4 >,itk::FlatStructuringElement< 4 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterIF4IF4SE4', 'itk::Image< float,4 >,itk::Image< float,4 >,itk::FlatStructuringElement< 4 >'),
  ('BlackTopHatImageFilter', 'itk::BlackTopHatImageFilter', 'itkBlackTopHatImageFilterID4ID4SE4', 'itk::Image< double,4 >,itk::Image< double,4 >,itk::FlatStructuringElement< 4 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterISS2ISS2SE2', 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIUL2IUL2SE2', 'itk::Image< unsigned long,2 >,itk::Image< unsigned long,2 >,itk::FlatStructuringElement< 2 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterID2ID2SE2', 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterISS3ISS3SE3', 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIUL3IUL3SE3', 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,3 >,itk::FlatStructuringElement< 3 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterID3ID3SE3', 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterISS4ISS4SE4', 'itk::Image< signed short,4 >,itk::Image< signed short,4 >,itk::FlatStructuringElement< 4 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIUC4IUC4SE4', 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,4 >,itk::FlatStructuringElement< 4 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIUL4IUL4SE4', 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,4 >,itk::FlatStructuringElement< 4 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterIF4IF4SE4', 'itk::Image< float,4 >,itk::Image< float,4 >,itk::FlatStructuringElement< 4 >'),
  ('ClosingByReconstructionImageFilter', 'itk::ClosingByReconstructionImageFilter', 'itkClosingByReconstructionImageFilterID4ID4SE4', 'itk::Image< double,4 >,itk::Image< double,4 >,itk::FlatStructuringElement< 4 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF2IUC2', 'itk::Image< float,2 >, itk::Image< unsigned char,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF3IUC3', 'itk::Image< float,3 >, itk::Image< unsigned char,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF4IUC4', 'itk::Image< float,4 >, itk::Image< unsigned char,4 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF2IUL2', 'itk::Image< float,2 >, itk::Image< unsigned long,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF3IUL3', 'itk::Image< float,3 >, itk::Image< unsigned long,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterIF4IUL4', 'itk::Image< float,4 >, itk::Image< unsigned long,4 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterID2IUC2', 'itk::Image< double,2 >, itk::Image< unsigned char,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterID3IUC3', 'itk::Image< double,3 >, itk::Image< unsigned char,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterID4IUC4', 'itk::Image< double,4 >, itk::Image< unsigned char,4 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterID2IUL2', 'itk::Image< double,2 >, itk::Image< unsigned long,2 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterID3IUL3', 'itk::Image< double,3 >, itk::Image< unsigned long,3 >'),
  ('DoubleThresholdImageFilter', 'itk::DoubleThresholdImageFilter', 'itkDoubleThresholdImageFilterID4IUL4', 'itk::Image< double,4 >, itk::Image< unsigned long,4 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('GrayscaleConnectedClosingImageFilter', 'itk::GrayscaleConnectedClosingImageFilter', 'itkGrayscaleConnectedClosingImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('GrayscaleConnectedOpeningImageFilter', 'itk::GrayscaleConnectedOpeningImageFilter', 'itkGrayscaleConnectedOpeningImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterISS2ISS2SE2', 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIUL2IUL2SE2', 'itk::Image< unsigned long,2 >,itk::Image< unsigned long,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterID2ID2SE2', 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterISS3ISS3SE3', 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIUL3IUL3SE3', 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterID3ID3SE3', 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterISS4ISS4SE4', 'itk::Image< signed short,4 >,itk::Image< signed short,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIUC4IUC4SE4', 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIUL4IUL4SE4', 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterIF4IF4SE4', 'itk::Image< float,4 >,itk::Image< float,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleDilateImageFilter', 'itk::GrayscaleDilateImageFilter', 'itkGrayscaleDilateImageFilterID4ID4SE4', 'itk::Image< double,4 >,itk::Image< double,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterISS2ISS2SE2', 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIUL2IUL2SE2', 'itk::Image< unsigned long,2 >,itk::Image< unsigned long,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterID2ID2SE2', 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterISS3ISS3SE3', 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIUL3IUL3SE3', 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterID3ID3SE3', 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterISS4ISS4SE4', 'itk::Image< signed short,4 >,itk::Image< signed short,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIUC4IUC4SE4', 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIUL4IUL4SE4', 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterIF4IF4SE4', 'itk::Image< float,4 >,itk::Image< float,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleErodeImageFilter', 'itk::GrayscaleErodeImageFilter', 'itkGrayscaleErodeImageFilterID4ID4SE4', 'itk::Image< double,4 >,itk::Image< double,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('GrayscaleFillholeImageFilter', 'itk::GrayscaleFillholeImageFilter', 'itkGrayscaleFillholeImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterISS2ISS2SE2', 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIUL2IUL2SE2', 'itk::Image< unsigned long,2 >,itk::Image< unsigned long,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterID2ID2SE2', 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterISS3ISS3SE3', 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIUL3IUL3SE3', 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterID3ID3SE3', 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterISS4ISS4SE4', 'itk::Image< signed short,4 >,itk::Image< signed short,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIUC4IUC4SE4', 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIUL4IUL4SE4', 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterIF4IF4SE4', 'itk::Image< float,4 >,itk::Image< float,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleFunctionDilateImageFilter', 'itk::GrayscaleFunctionDilateImageFilter', 'itkGrayscaleFunctionDilateImageFilterID4ID4SE4', 'itk::Image< double,4 >,itk::Image< double,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterISS2ISS2SE2', 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIUL2IUL2SE2', 'itk::Image< unsigned long,2 >,itk::Image< unsigned long,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterID2ID2SE2', 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterISS3ISS3SE3', 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIUL3IUL3SE3', 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterID3ID3SE3', 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterISS4ISS4SE4', 'itk::Image< signed short,4 >,itk::Image< signed short,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIUC4IUC4SE4', 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIUL4IUL4SE4', 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterIF4IF4SE4', 'itk::Image< float,4 >,itk::Image< float,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleFunctionErodeImageFilter', 'itk::GrayscaleFunctionErodeImageFilter', 'itkGrayscaleFunctionErodeImageFilterID4ID4SE4', 'itk::Image< double,4 >,itk::Image< double,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('GrayscaleGeodesicDilateImageFilter', 'itk::GrayscaleGeodesicDilateImageFilter', 'itkGrayscaleGeodesicDilateImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('GrayscaleGeodesicErodeImageFilter', 'itk::GrayscaleGeodesicErodeImageFilter', 'itkGrayscaleGeodesicErodeImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('GrayscaleGrindPeakImageFilter', 'itk::GrayscaleGrindPeakImageFilter', 'itkGrayscaleGrindPeakImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterISS2ISS2SE2', 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIUL2IUL2SE2', 'itk::Image< unsigned long,2 >,itk::Image< unsigned long,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterID2ID2SE2', 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterISS3ISS3SE3', 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIUL3IUL3SE3', 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterID3ID3SE3', 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterISS4ISS4SE4', 'itk::Image< signed short,4 >,itk::Image< signed short,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIUC4IUC4SE4', 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIUL4IUL4SE4', 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterIF4IF4SE4', 'itk::Image< float,4 >,itk::Image< float,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleMorphologicalClosingImageFilter', 'itk::GrayscaleMorphologicalClosingImageFilter', 'itkGrayscaleMorphologicalClosingImageFilterID4ID4SE4', 'itk::Image< double,4 >,itk::Image< double,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterISS2ISS2SE2', 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIUL2IUL2SE2', 'itk::Image< unsigned long,2 >,itk::Image< unsigned long,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterID2ID2SE2', 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterISS3ISS3SE3', 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIUL3IUL3SE3', 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterID3ID3SE3', 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterISS4ISS4SE4', 'itk::Image< signed short,4 >,itk::Image< signed short,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIUC4IUC4SE4', 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIUL4IUL4SE4', 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterIF4IF4SE4', 'itk::Image< float,4 >,itk::Image< float,4 >,itk::FlatStructuringElement< 4 >'),
  ('GrayscaleMorphologicalOpeningImageFilter', 'itk::GrayscaleMorphologicalOpeningImageFilter', 'itkGrayscaleMorphologicalOpeningImageFilterID4ID4SE4', 'itk::Image< double,4 >,itk::Image< double,4 >,itk::FlatStructuringElement< 4 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('HConcaveImageFilter', 'itk::HConcaveImageFilter', 'itkHConcaveImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('HConvexImageFilter', 'itk::HConvexImageFilter', 'itkHConvexImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('HMaximaImageFilter', 'itk::HMaximaImageFilter', 'itkHMaximaImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('HMinimaImageFilter', 'itk::HMinimaImageFilter', 'itkHMinimaImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterISS2ISS2SE2', 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIUL2IUL2SE2', 'itk::Image< unsigned long,2 >,itk::Image< unsigned long,2 >,itk::FlatStructuringElement< 2 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterID2ID2SE2', 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterISS3ISS3SE3', 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIUL3IUL3SE3', 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,3 >,itk::FlatStructuringElement< 3 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterID3ID3SE3', 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterISS4ISS4SE4', 'itk::Image< signed short,4 >,itk::Image< signed short,4 >,itk::FlatStructuringElement< 4 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIUC4IUC4SE4', 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,4 >,itk::FlatStructuringElement< 4 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIUL4IUL4SE4', 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,4 >,itk::FlatStructuringElement< 4 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterIF4IF4SE4', 'itk::Image< float,4 >,itk::Image< float,4 >,itk::FlatStructuringElement< 4 >'),
  ('MorphologicalGradientImageFilter', 'itk::MorphologicalGradientImageFilter', 'itkMorphologicalGradientImageFilterID4ID4SE4', 'itk::Image< double,4 >,itk::Image< double,4 >,itk::FlatStructuringElement< 4 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterISS2ISS2SE2', 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIUL2IUL2SE2', 'itk::Image< unsigned long,2 >,itk::Image< unsigned long,2 >,itk::FlatStructuringElement< 2 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterID2ID2SE2', 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterISS3ISS3SE3', 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIUL3IUL3SE3', 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,3 >,itk::FlatStructuringElement< 3 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterID3ID3SE3', 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterISS4ISS4SE4', 'itk::Image< signed short,4 >,itk::Image< signed short,4 >,itk::FlatStructuringElement< 4 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIUC4IUC4SE4', 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,4 >,itk::FlatStructuringElement< 4 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIUL4IUL4SE4', 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,4 >,itk::FlatStructuringElement< 4 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterIF4IF4SE4', 'itk::Image< float,4 >,itk::Image< float,4 >,itk::FlatStructuringElement< 4 >'),
  ('OpeningByReconstructionImageFilter', 'itk::OpeningByReconstructionImageFilter', 'itkOpeningByReconstructionImageFilterID4ID4SE4', 'itk::Image< double,4 >,itk::Image< double,4 >,itk::FlatStructuringElement< 4 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ReconstructionByDilationImageFilter', 'itk::ReconstructionByDilationImageFilter', 'itkReconstructionByDilationImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ReconstructionByErosionImageFilter', 'itk::ReconstructionByErosionImageFilter', 'itkReconstructionByErosionImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterISS2ISS2SE2', 'itk::Image< signed short,2 >,itk::Image< signed short,2 >,itk::FlatStructuringElement< 2 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIUC2IUC2SE2', 'itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >,itk::FlatStructuringElement< 2 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIUL2IUL2SE2', 'itk::Image< unsigned long,2 >,itk::Image< unsigned long,2 >,itk::FlatStructuringElement< 2 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIF2IF2SE2', 'itk::Image< float,2 >,itk::Image< float,2 >,itk::FlatStructuringElement< 2 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterID2ID2SE2', 'itk::Image< double,2 >,itk::Image< double,2 >,itk::FlatStructuringElement< 2 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterISS3ISS3SE3', 'itk::Image< signed short,3 >,itk::Image< signed short,3 >,itk::FlatStructuringElement< 3 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIUC3IUC3SE3', 'itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >,itk::FlatStructuringElement< 3 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIUL3IUL3SE3', 'itk::Image< unsigned long,3 >,itk::Image< unsigned long,3 >,itk::FlatStructuringElement< 3 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIF3IF3SE3', 'itk::Image< float,3 >,itk::Image< float,3 >,itk::FlatStructuringElement< 3 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterID3ID3SE3', 'itk::Image< double,3 >,itk::Image< double,3 >,itk::FlatStructuringElement< 3 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterISS4ISS4SE4', 'itk::Image< signed short,4 >,itk::Image< signed short,4 >,itk::FlatStructuringElement< 4 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIUC4IUC4SE4', 'itk::Image< unsigned char,4 >,itk::Image< unsigned char,4 >,itk::FlatStructuringElement< 4 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIUL4IUL4SE4', 'itk::Image< unsigned long,4 >,itk::Image< unsigned long,4 >,itk::FlatStructuringElement< 4 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterIF4IF4SE4', 'itk::Image< float,4 >,itk::Image< float,4 >,itk::FlatStructuringElement< 4 >'),
  ('WhiteTopHatImageFilter', 'itk::WhiteTopHatImageFilter', 'itkWhiteTopHatImageFilterID4ID4SE4', 'itk::Image< double,4 >,itk::Image< double,4 >,itk::FlatStructuringElement< 4 >'),
)
