depends = ('ITKPyBase', 'ITKMesh', 'ITKCommon', )
templates = (
  ('QuadEdge', 'itk::QuadEdge', 'itkQuadEdge'),
  ('GeometricalQuadEdge', 'itk::GeometricalQuadEdge', 'itkGeometricalQuadEdgeULULBBF', 'unsigned long, unsigned long, bool, bool, true'),
  ('GeometricalQuadEdge', 'itk::GeometricalQuadEdge', 'itkGeometricalQuadEdgeULULBBT', 'unsigned long, unsigned long, bool, bool, false'),
  ('QuadEdgeMeshPoint', 'itk::QuadEdgeMeshPoint', 'itkQuadEdgeMeshPointF2', 'float, 2'),
  ('QuadEdgeMeshPoint', 'itk::QuadEdgeMeshPoint', 'itkQuadEdgeMeshPointF3', 'float, 3'),
  ('QuadEdgeMeshPoint', 'itk::QuadEdgeMeshPoint', 'itkQuadEdgeMeshPointF4', 'float, 4'),
  ('QuadEdgeMeshTraits', 'itk::QuadEdgeMeshTraits', 'itkQuadEdgeMeshTraitsD2BBFF', 'double, 2, bool, bool, float, float'),
  ('QuadEdgeMeshTraits', 'itk::QuadEdgeMeshTraits', 'itkQuadEdgeMeshTraitsD3BBFF', 'double, 3, bool, bool, float, float'),
  ('QuadEdgeMeshTraits', 'itk::QuadEdgeMeshTraits', 'itkQuadEdgeMeshTraitsD4BBFF', 'double, 4, bool, bool, float, float'),
  ('QuadEdgeMeshCellTraitsInfo', 'itk::QuadEdgeMeshCellTraitsInfo', 'itkQuadEdgeMeshCellTraitsInfo2', '2'),
  ('QuadEdgeMeshCellTraitsInfo', 'itk::QuadEdgeMeshCellTraitsInfo', 'itkQuadEdgeMeshCellTraitsInfo3', '3'),
  ('QuadEdgeMeshCellTraitsInfo', 'itk::QuadEdgeMeshCellTraitsInfo', 'itkQuadEdgeMeshCellTraitsInfo4', '4'),
  ('CellInterface', 'itk::CellInterface', 'itkCellInterfaceDQEMCTI2', 'double, itk::QuadEdgeMeshCellTraitsInfo< 2 >'),
  ('CellInterface', 'itk::CellInterface', 'itkCellInterfaceDQEMCTI3', 'double, itk::QuadEdgeMeshCellTraitsInfo< 3 >'),
  ('CellInterface', 'itk::CellInterface', 'itkCellInterfaceDQEMCTI4', 'double, itk::QuadEdgeMeshCellTraitsInfo< 4 >'),
  ('QuadEdgeMeshLineCell', 'itk::QuadEdgeMeshLineCell', 'itkQuadEdgeMeshLineCellCIDQEMCTIF2', 'itk::CellInterface< double, itk::QuadEdgeMeshCellTraitsInfo< 2 > >'),
  ('QuadEdgeMeshLineCell', 'itk::QuadEdgeMeshLineCell', 'itkQuadEdgeMeshLineCellCIDQEMCTIF3', 'itk::CellInterface< double, itk::QuadEdgeMeshCellTraitsInfo< 3 > >'),
  ('QuadEdgeMeshLineCell', 'itk::QuadEdgeMeshLineCell', 'itkQuadEdgeMeshLineCellCIDQEMCTIF4', 'itk::CellInterface< double, itk::QuadEdgeMeshCellTraitsInfo< 4 > >'),
  ('MapContainer', 'itk::MapContainer', 'itkMapContainerULQEMPF2', 'unsigned long, itk::QuadEdgeMeshPoint< float, 2 >'),
  ('MapContainer', 'itk::MapContainer', 'itkMapContainerULCIDQEMCTI2', 'unsigned long, itk::CellInterface< double, itk::QuadEdgeMeshCellTraitsInfo< 2 > >*'),
  ('MapContainer', 'itk::MapContainer', 'itkMapContainerULQEMPF3', 'unsigned long, itk::QuadEdgeMeshPoint< float, 3 >'),
  ('MapContainer', 'itk::MapContainer', 'itkMapContainerULCIDQEMCTI3', 'unsigned long, itk::CellInterface< double, itk::QuadEdgeMeshCellTraitsInfo< 3 > >*'),
  ('MapContainer', 'itk::MapContainer', 'itkMapContainerULQEMPF4', 'unsigned long, itk::QuadEdgeMeshPoint< float, 4 >'),
  ('MapContainer', 'itk::MapContainer', 'itkMapContainerULCIDQEMCTI4', 'unsigned long, itk::CellInterface< double, itk::QuadEdgeMeshCellTraitsInfo< 4 > >*'),
  ('Mesh', 'itk::Mesh', 'itkMeshD2QEMTD2BBFF', 'double,2,itk::QuadEdgeMeshTraits< double,2,bool,bool,float,float >'),
  ('Mesh', 'itk::Mesh', 'itkMeshD3QEMTD3BBFF', 'double,3,itk::QuadEdgeMeshTraits< double,3,bool,bool,float,float >'),
  ('Mesh', 'itk::Mesh', 'itkMeshD4QEMTD4BBFF', 'double,4,itk::QuadEdgeMeshTraits< double,4,bool,bool,float,float >'),
  ('PointSet', 'itk::PointSet', 'itkPointSetD2QEMTD2BBFF', 'double,2,itk::QuadEdgeMeshTraits< double,2,bool,bool,float,float >'),
  ('PointSet', 'itk::PointSet', 'itkPointSetD3QEMTD3BBFF', 'double,3,itk::QuadEdgeMeshTraits< double,3,bool,bool,float,float >'),
  ('PointSet', 'itk::PointSet', 'itkPointSetD4QEMTD4BBFF', 'double,4,itk::QuadEdgeMeshTraits< double,4,bool,bool,float,float >'),
  ('BoundingBox', 'itk::BoundingBox', 'itkBoundingBoxUL2FMCULQEMPF2', 'unsigned long, 2, float, itk::MapContainer< unsigned long, itk::QuadEdgeMeshPoint< float, 2 > >'),
  ('BoundingBox', 'itk::BoundingBox', 'itkBoundingBoxUL3FMCULQEMPF3', 'unsigned long, 3, float, itk::MapContainer< unsigned long, itk::QuadEdgeMeshPoint< float, 3 > >'),
  ('BoundingBox', 'itk::BoundingBox', 'itkBoundingBoxUL4FMCULQEMPF4', 'unsigned long, 4, float, itk::MapContainer< unsigned long, itk::QuadEdgeMeshPoint< float, 4 > >'),
  ('QuadEdgeMesh', 'itk::QuadEdgeMesh', 'itkQuadEdgeMeshD2', 'double,2'),
  ('QuadEdgeMesh', 'itk::QuadEdgeMesh', 'itkQuadEdgeMeshD3', 'double,3'),
  ('QuadEdgeMesh', 'itk::QuadEdgeMesh', 'itkQuadEdgeMeshD4', 'double,4'),
  ('MeshSource', 'itk::MeshSource', 'itkMeshSourceQEMD2', 'itk::QuadEdgeMesh< double,2 >'),
  ('MeshSource', 'itk::MeshSource', 'itkMeshSourceMD2QEMTD2BBFF', 'itk::Mesh< double,2,itk::QuadEdgeMeshTraits< double,2,bool,bool,float,float > >'),
  ('MeshSource', 'itk::MeshSource', 'itkMeshSourceQEMD3', 'itk::QuadEdgeMesh< double,3 >'),
  ('MeshSource', 'itk::MeshSource', 'itkMeshSourceMD3QEMTD3BBFF', 'itk::Mesh< double,3,itk::QuadEdgeMeshTraits< double,3,bool,bool,float,float > >'),
  ('MeshSource', 'itk::MeshSource', 'itkMeshSourceQEMD4', 'itk::QuadEdgeMesh< double,4 >'),
  ('MeshSource', 'itk::MeshSource', 'itkMeshSourceMD4QEMTD4BBFF', 'itk::Mesh< double,4,itk::QuadEdgeMeshTraits< double,4,bool,bool,float,float > >'),
  ('MeshToMeshFilter', 'itk::MeshToMeshFilter', 'itkMeshToMeshFilterQEMD2QEMD2', 'itk::QuadEdgeMesh< double,2 >, itk::QuadEdgeMesh< double,2 >'),
  ('MeshToMeshFilter', 'itk::MeshToMeshFilter', 'itkMeshToMeshFilterQEMD3QEMD3', 'itk::QuadEdgeMesh< double,3 >, itk::QuadEdgeMesh< double,3 >'),
  ('MeshToMeshFilter', 'itk::MeshToMeshFilter', 'itkMeshToMeshFilterQEMD4QEMD4', 'itk::QuadEdgeMesh< double,4 >, itk::QuadEdgeMesh< double,4 >'),
  ('ImageToMeshFilter', 'itk::ImageToMeshFilter', 'itkImageToMeshFilterISS2MD2QEMTD2BBFF', 'itk::Image< signed short,2 >, itk::Mesh< double,2,itk::QuadEdgeMeshTraits< double,2,bool,bool,float,float > >'),
  ('ImageToMeshFilter', 'itk::ImageToMeshFilter', 'itkImageToMeshFilterIUC2MD2QEMTD2BBFF', 'itk::Image< unsigned char,2 >, itk::Mesh< double,2,itk::QuadEdgeMeshTraits< double,2,bool,bool,float,float > >'),
  ('ImageToMeshFilter', 'itk::ImageToMeshFilter', 'itkImageToMeshFilterIUL2MD2QEMTD2BBFF', 'itk::Image< unsigned long,2 >, itk::Mesh< double,2,itk::QuadEdgeMeshTraits< double,2,bool,bool,float,float > >'),
  ('ImageToMeshFilter', 'itk::ImageToMeshFilter', 'itkImageToMeshFilterISS3MD3QEMTD3BBFF', 'itk::Image< signed short,3 >, itk::Mesh< double,3,itk::QuadEdgeMeshTraits< double,3,bool,bool,float,float > >'),
  ('ImageToMeshFilter', 'itk::ImageToMeshFilter', 'itkImageToMeshFilterIUC3MD3QEMTD3BBFF', 'itk::Image< unsigned char,3 >, itk::Mesh< double,3,itk::QuadEdgeMeshTraits< double,3,bool,bool,float,float > >'),
  ('ImageToMeshFilter', 'itk::ImageToMeshFilter', 'itkImageToMeshFilterIUL3MD3QEMTD3BBFF', 'itk::Image< unsigned long,3 >, itk::Mesh< double,3,itk::QuadEdgeMeshTraits< double,3,bool,bool,float,float > >'),
  ('ImageToMeshFilter', 'itk::ImageToMeshFilter', 'itkImageToMeshFilterISS4MD4QEMTD4BBFF', 'itk::Image< signed short,4 >, itk::Mesh< double,4,itk::QuadEdgeMeshTraits< double,4,bool,bool,float,float > >'),
  ('ImageToMeshFilter', 'itk::ImageToMeshFilter', 'itkImageToMeshFilterIUC4MD4QEMTD4BBFF', 'itk::Image< unsigned char,4 >, itk::Mesh< double,4,itk::QuadEdgeMeshTraits< double,4,bool,bool,float,float > >'),
  ('ImageToMeshFilter', 'itk::ImageToMeshFilter', 'itkImageToMeshFilterIUL4MD4QEMTD4BBFF', 'itk::Image< unsigned long,4 >, itk::Mesh< double,4,itk::QuadEdgeMeshTraits< double,4,bool,bool,float,float > >'),
  ('QuadEdgeMeshToQuadEdgeMeshFilter', 'itk::QuadEdgeMeshToQuadEdgeMeshFilter', 'itkQuadEdgeMeshToQuadEdgeMeshFilterQEMD2QEMD2', 'itk::QuadEdgeMesh< double,2 >, itk::QuadEdgeMesh< double,2 >'),
  ('QuadEdgeMeshToQuadEdgeMeshFilter', 'itk::QuadEdgeMeshToQuadEdgeMeshFilter', 'itkQuadEdgeMeshToQuadEdgeMeshFilterQEMD3QEMD3', 'itk::QuadEdgeMesh< double,3 >, itk::QuadEdgeMesh< double,3 >'),
  ('QuadEdgeMeshToQuadEdgeMeshFilter', 'itk::QuadEdgeMeshToQuadEdgeMeshFilter', 'itkQuadEdgeMeshToQuadEdgeMeshFilterQEMD4QEMD4', 'itk::QuadEdgeMesh< double,4 >, itk::QuadEdgeMesh< double,4 >'),
)
