depends = ('ITKPyBase', 'ITKStatistics', 'ITKSpatialObjects', 'ITKSmoothing', 'ITKOptimizers', 'ITKImageIntensity', 'ITKImageGrid', 'ITKImageGradient', 'ITKImageFunction', 'ITKImageFeature', 'ITKFiniteDifference', 'ITKDisplacementField', )
templates = (
  ('BlockMatchingImageFilter', 'itk::BlockMatchingImageFilter', 'itkBlockMatchingImageFilterIF3', 'itk::Image< float,3 >'),
  ('BlockMatchingImageFilter', 'itk::BlockMatchingImageFilter', 'itkBlockMatchingImageFilterID3', 'itk::Image< double,3 >'),
  ('PointSet', 'itk::PointSet', 'itkPointSetVF33DTVF333FFVF3', 'itk::Vector< float, 3 >, 3, itk::DefaultStaticMeshTraits< itk::Vector< float, 3 >, 3, 3, float, float, itk::Vector< float, 3 > >'),
  ('PointSet', 'itk::PointSet', 'itkPointSetD3DTD33FFD', 'double, 3, itk::DefaultStaticMeshTraits< double, 3, 3, float, float, double >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerVR3DTDISS3ISS3', 'itk::VersorRigid3DTransform< double >,itk::Image< signed short,3 >,itk::Image< signed short,3 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerVR3DTDIUC3IUC3', 'itk::VersorRigid3DTransform< double >,itk::Image< unsigned char,3 >,itk::Image< unsigned char,3 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerVR3DTDIUL3IUL3', 'itk::VersorRigid3DTransform< double >,itk::Image< unsigned long,3 >,itk::Image< unsigned long,3 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerVR3DTDIF3IF3', 'itk::VersorRigid3DTransform< double >,itk::Image< float,3 >,itk::Image< float,3 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerVR3DTDID3ID3', 'itk::VersorRigid3DTransform< double >,itk::Image< double,3 >,itk::Image< double,3 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerCR2DTDISS2ISS2', 'itk::CenteredRigid2DTransform< double >,itk::Image< signed short,2 >,itk::Image< signed short,2 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerCR2DTDIUC2IUC2', 'itk::CenteredRigid2DTransform< double >,itk::Image< unsigned char,2 >,itk::Image< unsigned char,2 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerCR2DTDIUL2IUL2', 'itk::CenteredRigid2DTransform< double >,itk::Image< unsigned long,2 >,itk::Image< unsigned long,2 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerCR2DTDIF2IF2', 'itk::CenteredRigid2DTransform< double >,itk::Image< float,2 >,itk::Image< float,2 >'),
  ('CenteredTransformInitializer', 'itk::CenteredTransformInitializer', 'itkCenteredTransformInitializerCR2DTDID2ID2', 'itk::CenteredRigid2DTransform< double >,itk::Image< double,2 >,itk::Image< double,2 >'),
  ('CenteredVersorTransformInitializer', 'itk::CenteredVersorTransformInitializer', 'itkCenteredVersorTransformInitializerISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('CenteredVersorTransformInitializer', 'itk::CenteredVersorTransformInitializer', 'itkCenteredVersorTransformInitializerIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('CenteredVersorTransformInitializer', 'itk::CenteredVersorTransformInitializer', 'itkCenteredVersorTransformInitializerIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('CenteredVersorTransformInitializer', 'itk::CenteredVersorTransformInitializer', 'itkCenteredVersorTransformInitializerIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('CenteredVersorTransformInitializer', 'itk::CenteredVersorTransformInitializer', 'itkCenteredVersorTransformInitializerID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ImageRegistrationMethod', 'itk::ImageRegistrationMethod', 'itkImageRegistrationMethodID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('ImageToImageMetric', 'itk::ImageToImageMetric', 'itkImageToImageMetricID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('LandmarkBasedTransformInitializer', 'itk::LandmarkBasedTransformInitializer', 'itkLandmarkBasedTransformInitializerID2', 'itk::Transform<double,2>'),
  ('LandmarkBasedTransformInitializer', 'itk::LandmarkBasedTransformInitializer', 'itkLandmarkBasedTransformInitializerIF2', 'itk::Transform<float,2>'),
  ('LandmarkBasedTransformInitializer', 'itk::LandmarkBasedTransformInitializer', 'itkLandmarkBasedTransformInitializerID3', 'itk::Transform<double,3>'),
  ('LandmarkBasedTransformInitializer', 'itk::LandmarkBasedTransformInitializer', 'itkLandmarkBasedTransformInitializerIF3', 'itk::Transform<float,3>'),
  ('LandmarkBasedTransformInitializer', 'itk::LandmarkBasedTransformInitializer', 'itkLandmarkBasedTransformInitializerID4', 'itk::Transform<double,4>'),
  ('LandmarkBasedTransformInitializer', 'itk::LandmarkBasedTransformInitializer', 'itkLandmarkBasedTransformInitializerIF4', 'itk::Transform<float,4>'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MattesMutualInformationImageToImageMetric', 'itk::MattesMutualInformationImageToImageMetric', 'itkMattesMutualInformationImageToImageMetricID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MeanReciprocalSquareDifferenceImageToImageMetric', 'itk::MeanReciprocalSquareDifferenceImageToImageMetric', 'itkMeanReciprocalSquareDifferenceImageToImageMetricID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MeanSquaresImageToImageMetric', 'itk::MeanSquaresImageToImageMetric', 'itkMeanSquaresImageToImageMetricID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MultiResolutionImageRegistrationMethod', 'itk::MultiResolutionImageRegistrationMethod', 'itkMultiResolutionImageRegistrationMethodID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MultiResolutionPyramidImageFilter', 'itk::MultiResolutionPyramidImageFilter', 'itkMultiResolutionPyramidImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('MutualInformationImageToImageMetric', 'itk::MutualInformationImageToImageMetric', 'itkMutualInformationImageToImageMetricID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('NormalizedCorrelationImageToImageMetric', 'itk::NormalizedCorrelationImageToImageMetric', 'itkNormalizedCorrelationImageToImageMetricID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS2ISS2IVD22', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS3ISS3IVD23', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< double,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS4ISS4IVD24', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< itk::Vector< double,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS2ISS2IVD32', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< double,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS3ISS3IVD33', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS4ISS4IVD34', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< itk::Vector< double,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS2ISS2IVD42', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< double,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS3ISS3IVD43', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< double,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS4ISS4IVD44', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS2ISS2IVF22', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS3ISS3IVF23', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS4ISS4IVF24', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< itk::Vector< float,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS2ISS2IVF32', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS3ISS3IVF33', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS4ISS4IVF34', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< itk::Vector< float,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS2ISS2IVF42', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >, itk::Image< itk::Vector< float,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS3ISS3IVF43', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >, itk::Image< itk::Vector< float,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionISS4ISS4IVF44', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC2IUC2IVD22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC3IUC3IVD23', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< double,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC4IUC4IVD24', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< itk::Vector< double,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC2IUC2IVD32', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< double,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC3IUC3IVD33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC4IUC4IVD34', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< itk::Vector< double,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC2IUC2IVD42', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< double,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC3IUC3IVD43', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< double,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC4IUC4IVD44', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC2IUC2IVF22', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC3IUC3IVF23', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC4IUC4IVF24', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< itk::Vector< float,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC2IUC2IVF32', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC3IUC3IVF33', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC4IUC4IVF34', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< itk::Vector< float,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC2IUC2IVF42', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >, itk::Image< itk::Vector< float,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC3IUC3IVF43', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >, itk::Image< itk::Vector< float,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUC4IUC4IVF44', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUL2IUL2IVD22', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUL3IUL3IVD23', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >, itk::Image< itk::Vector< double,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUL4IUL4IVD24', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >, itk::Image< itk::Vector< double,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUL2IUL2IVD32', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >, itk::Image< itk::Vector< double,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUL3IUL3IVD33', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUL4IUL4IVD34', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >, itk::Image< itk::Vector< double,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUL2IUL2IVD42', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >, itk::Image< itk::Vector< double,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUL3IUL3IVD43', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >, itk::Image< itk::Vector< double,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUL4IUL4IVD44', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUL2IUL2IVF22', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUL3IUL3IVF23', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >, itk::Image< itk::Vector< float,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUL4IUL4IVF24', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >, itk::Image< itk::Vector< float,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUL2IUL2IVF32', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >, itk::Image< itk::Vector< float,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUL3IUL3IVF33', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUL4IUL4IVF34', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >, itk::Image< itk::Vector< float,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUL2IUL2IVF42', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >, itk::Image< itk::Vector< float,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUL3IUL3IVF43', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >, itk::Image< itk::Vector< float,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIUL4IUL4IVF44', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF2IF2IVD22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF3IF3IVD23', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< double,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF4IF4IVD24', 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< itk::Vector< double,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF2IF2IVD32', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< double,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF3IF3IVD33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF4IF4IVD34', 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< itk::Vector< double,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF2IF2IVD42', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< double,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF3IF3IVD43', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< double,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF4IF4IVD44', 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF2IF2IVF22', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF3IF3IVF23', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF4IF4IVF24', 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< itk::Vector< float,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF2IF2IVF32', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF3IF3IVF33', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF4IF4IVF34', 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< itk::Vector< float,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF2IF2IVF42', 'itk::Image< float,2 >, itk::Image< float,2 >, itk::Image< itk::Vector< float,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF3IF3IVF43', 'itk::Image< float,3 >, itk::Image< float,3 >, itk::Image< itk::Vector< float,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionIF4IF4IVF44', 'itk::Image< float,4 >, itk::Image< float,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID2ID2IVD22', 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< itk::Vector< double,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID3ID3IVD23', 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< itk::Vector< double,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID4ID4IVD24', 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< itk::Vector< double,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID2ID2IVD32', 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< itk::Vector< double,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID3ID3IVD33', 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< itk::Vector< double,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID4ID4IVD34', 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< itk::Vector< double,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID2ID2IVD42', 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< itk::Vector< double,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID3ID3IVD43', 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< itk::Vector< double,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID4ID4IVD44', 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< itk::Vector< double,4 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID2ID2IVF22', 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< itk::Vector< float,2 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID3ID3IVF23', 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< itk::Vector< float,2 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID4ID4IVF24', 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< itk::Vector< float,2 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID2ID2IVF32', 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< itk::Vector< float,3 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID3ID3IVF33', 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< itk::Vector< float,3 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID4ID4IVF34', 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< itk::Vector< float,3 >,4 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID2ID2IVF42', 'itk::Image< double,2 >, itk::Image< double,2 >, itk::Image< itk::Vector< float,4 >,2 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID3ID3IVF43', 'itk::Image< double,3 >, itk::Image< double,3 >, itk::Image< itk::Vector< float,4 >,3 >'),
  ('PDEDeformableRegistrationFunction', 'itk::PDEDeformableRegistrationFunction', 'itkPDEDeformableRegistrationFunctionID4ID4IVF44', 'itk::Image< double,4 >, itk::Image< double,4 >, itk::Image< itk::Vector< float,4 >,4 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterISS2ISS2', 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterISS3ISS3', 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterISS4ISS4', 'itk::Image< signed short,4 >, itk::Image< signed short,4 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIUC2IUC2', 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIUC3IUC3', 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIUC4IUC4', 'itk::Image< unsigned char,4 >, itk::Image< unsigned char,4 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIUL2IUL2', 'itk::Image< unsigned long,2 >, itk::Image< unsigned long,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIUL3IUL3', 'itk::Image< unsigned long,3 >, itk::Image< unsigned long,3 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIUL4IUL4', 'itk::Image< unsigned long,4 >, itk::Image< unsigned long,4 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIF2IF2', 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIF3IF3', 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterIF4IF4', 'itk::Image< float,4 >, itk::Image< float,4 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterID2ID2', 'itk::Image< double,2 >, itk::Image< double,2 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterID3ID3', 'itk::Image< double,3 >, itk::Image< double,3 >'),
  ('RecursiveMultiResolutionPyramidImageFilter', 'itk::RecursiveMultiResolutionPyramidImageFilter', 'itkRecursiveMultiResolutionPyramidImageFilterID4ID4', 'itk::Image< double,4 >, itk::Image< double,4 >'),
  ('TransformParametersAdaptorBase', 'itk::TransformParametersAdaptorBase', 'itkTransformParametersAdaptorBaseF2', 'itk::Transform< float,2,2 >'),
  ('TransformParametersAdaptorBase', 'itk::TransformParametersAdaptorBase', 'itkTransformParametersAdaptorBaseD2', 'itk::Transform< double,2,2 >'),
  ('TransformParametersAdaptorBase', 'itk::TransformParametersAdaptorBase', 'itkTransformParametersAdaptorBaseF3', 'itk::Transform< float,3,3 >'),
  ('TransformParametersAdaptorBase', 'itk::TransformParametersAdaptorBase', 'itkTransformParametersAdaptorBaseD3', 'itk::Transform< double,3,3 >'),
  ('TransformParametersAdaptorBase', 'itk::TransformParametersAdaptorBase', 'itkTransformParametersAdaptorBaseF4', 'itk::Transform< float,4,4 >'),
  ('TransformParametersAdaptorBase', 'itk::TransformParametersAdaptorBase', 'itkTransformParametersAdaptorBaseD4', 'itk::Transform< double,4,4 >'),
)
