depends = ('ITKPyBase', 'ITKStatistics', 'ITKImageFilterBase', 'ITKCommon', )
templates = (
  ('CompositeTransform', 'itk::CompositeTransform', 'itkCompositeTransformD2', 'double,2'),
  ('CompositeTransform', 'itk::CompositeTransform', 'itkCompositeTransformD3', 'double,3'),
  ('CompositeTransform', 'itk::CompositeTransform', 'itkCompositeTransformD4', 'double,4'),
  ('Transform', 'itk::Transform', 'itkTransformD22', 'double,2,2'),
  ('Transform', 'itk::Transform', 'itkTransformF22', 'float,2,2'),
  ('Transform', 'itk::Transform', 'itkTransformD23', 'double,2,3'),
  ('Transform', 'itk::Transform', 'itkTransformF23', 'float,2,3'),
  ('Transform', 'itk::Transform', 'itkTransformD24', 'double,2,4'),
  ('Transform', 'itk::Transform', 'itkTransformF24', 'float,2,4'),
  ('Transform', 'itk::Transform', 'itkTransformD32', 'double,3,2'),
  ('Transform', 'itk::Transform', 'itkTransformF32', 'float,3,2'),
  ('Transform', 'itk::Transform', 'itkTransformD33', 'double,3,3'),
  ('Transform', 'itk::Transform', 'itkTransformF33', 'float,3,3'),
  ('Transform', 'itk::Transform', 'itkTransformD34', 'double,3,4'),
  ('Transform', 'itk::Transform', 'itkTransformF34', 'float,3,4'),
  ('Transform', 'itk::Transform', 'itkTransformD42', 'double,4,2'),
  ('Transform', 'itk::Transform', 'itkTransformF42', 'float,4,2'),
  ('Transform', 'itk::Transform', 'itkTransformD43', 'double,4,3'),
  ('Transform', 'itk::Transform', 'itkTransformF43', 'float,4,3'),
  ('Transform', 'itk::Transform', 'itkTransformD44', 'double,4,4'),
  ('Transform', 'itk::Transform', 'itkTransformF44', 'float,4,4'),
  ('Transform', 'itk::Transform', 'itkTransformD2', 'double,2'),
  ('Transform', 'itk::Transform', 'itkTransformF2', 'float,2'),
  ('Transform', 'itk::Transform', 'itkTransformD3', 'double,3'),
  ('Transform', 'itk::Transform', 'itkTransformF3', 'float,3'),
  ('Transform', 'itk::Transform', 'itkTransformD4', 'double,4'),
  ('Transform', 'itk::Transform', 'itkTransformF4', 'float,4'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTD22', 'itk::Transform< double,2,2 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTF22', 'itk::Transform< float,2,2 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTD23', 'itk::Transform< double,2,3 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTF23', 'itk::Transform< float,2,3 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTD24', 'itk::Transform< double,2,4 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTF24', 'itk::Transform< float,2,4 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTD32', 'itk::Transform< double,3,2 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTF32', 'itk::Transform< float,3,2 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTD33', 'itk::Transform< double,3,3 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTF33', 'itk::Transform< float,3,3 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTD34', 'itk::Transform< double,3,4 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTF34', 'itk::Transform< float,3,4 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTD42', 'itk::Transform< double,4,2 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTF42', 'itk::Transform< float,4,2 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTD43', 'itk::Transform< double,4,3 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTF43', 'itk::Transform< float,4,3 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTD44', 'itk::Transform< double,4,4 >'),
  ('DataObjectDecorator', 'itk::DataObjectDecorator', 'itkDataObjectDecoratorTF44', 'itk::Transform< float,4,4 >'),
  ('TransformBaseTemplate', 'itk::TransformBaseTemplate', 'itkTransformBaseTemplateD', 'double'),
  ('TransformBaseTemplate', 'itk::TransformBaseTemplate', 'itkTransformBaseTemplateF', 'float'),
  ('MatrixOffsetTransformBase', 'itk::MatrixOffsetTransformBase', 'itkMatrixOffsetTransformBaseD22', 'double,2,2'),
  ('MatrixOffsetTransformBase', 'itk::MatrixOffsetTransformBase', 'itkMatrixOffsetTransformBaseF22', 'float,2,2'),
  ('MatrixOffsetTransformBase', 'itk::MatrixOffsetTransformBase', 'itkMatrixOffsetTransformBaseD33', 'double,3,3'),
  ('MatrixOffsetTransformBase', 'itk::MatrixOffsetTransformBase', 'itkMatrixOffsetTransformBaseF33', 'float,3,3'),
  ('MatrixOffsetTransformBase', 'itk::MatrixOffsetTransformBase', 'itkMatrixOffsetTransformBaseD44', 'double,4,4'),
  ('MatrixOffsetTransformBase', 'itk::MatrixOffsetTransformBase', 'itkMatrixOffsetTransformBaseF44', 'float,4,4'),
  ('Euler2DTransform', 'itk::Euler2DTransform', 'itkEuler2DTransformD', 'double'),
  ('Euler3DTransform', 'itk::Euler3DTransform', 'itkEuler3DTransformD', 'double'),
  ('MultiTransform', 'itk::MultiTransform', 'itkMultiTransformD22', 'double,2,2'),
  ('MultiTransform', 'itk::MultiTransform', 'itkMultiTransformD33', 'double,3,3'),
  ('MultiTransform', 'itk::MultiTransform', 'itkMultiTransformD44', 'double,4,4'),
  ('VersorTransform', 'itk::VersorTransform', 'itkVersorTransformD', 'double'),
  ('VersorRigid3DTransform', 'itk::VersorRigid3DTransform', 'itkVersorRigid3DTransformD', 'double'),
  ('Similarity2DTransform', 'itk::Similarity2DTransform', 'itkSimilarity2DTransformD', 'double'),
  ('Similarity3DTransform', 'itk::Similarity3DTransform', 'itkSimilarity3DTransformD', 'double'),
  ('AffineTransform', 'itk::AffineTransform', 'itkAffineTransformD2', 'double,2'),
  ('AffineTransform', 'itk::AffineTransform', 'itkAffineTransformD3', 'double,3'),
  ('AffineTransform', 'itk::AffineTransform', 'itkAffineTransformD4', 'double,4'),
  ('ScalableAffineTransform', 'itk::ScalableAffineTransform', 'itkScalableAffineTransformD2', 'double,2'),
  ('ScalableAffineTransform', 'itk::ScalableAffineTransform', 'itkScalableAffineTransformD3', 'double,3'),
  ('ScalableAffineTransform', 'itk::ScalableAffineTransform', 'itkScalableAffineTransformD4', 'double,4'),
  ('ScaleTransform', 'itk::ScaleTransform', 'itkScaleTransformD2', 'double,2'),
  ('ScaleTransform', 'itk::ScaleTransform', 'itkScaleTransformD3', 'double,3'),
  ('ScaleTransform', 'itk::ScaleTransform', 'itkScaleTransformD4', 'double,4'),
  ('KernelTransform', 'itk::KernelTransform', 'itkKernelTransformD2', 'double,2'),
  ('KernelTransform', 'itk::KernelTransform', 'itkKernelTransformD3', 'double,3'),
  ('KernelTransform', 'itk::KernelTransform', 'itkKernelTransformD4', 'double,4'),
  ('AzimuthElevationToCartesianTransform', 'itk::AzimuthElevationToCartesianTransform', 'itkAzimuthElevationToCartesianTransformD2', 'double,2'),
  ('AzimuthElevationToCartesianTransform', 'itk::AzimuthElevationToCartesianTransform', 'itkAzimuthElevationToCartesianTransformD3', 'double,3'),
  ('AzimuthElevationToCartesianTransform', 'itk::AzimuthElevationToCartesianTransform', 'itkAzimuthElevationToCartesianTransformD4', 'double,4'),
  ('BSplineBaseTransform', 'itk::BSplineBaseTransform', 'itkBSplineBaseTransformD22', 'double,2,2'),
  ('BSplineBaseTransform', 'itk::BSplineBaseTransform', 'itkBSplineBaseTransformD33', 'double,3,3'),
  ('BSplineBaseTransform', 'itk::BSplineBaseTransform', 'itkBSplineBaseTransformD44', 'double,4,4'),
  ('BSplineTransform', 'itk::BSplineTransform', 'itkBSplineTransformD22', 'double,2,2'),
  ('BSplineTransform', 'itk::BSplineTransform', 'itkBSplineTransformD33', 'double,3,3'),
  ('BSplineTransform', 'itk::BSplineTransform', 'itkBSplineTransformD44', 'double,4,4'),
  ('CenteredAffineTransform', 'itk::CenteredAffineTransform', 'itkCenteredAffineTransformD2', 'double,2'),
  ('CenteredAffineTransform', 'itk::CenteredAffineTransform', 'itkCenteredAffineTransformD3', 'double,3'),
  ('CenteredAffineTransform', 'itk::CenteredAffineTransform', 'itkCenteredAffineTransformD4', 'double,4'),
  ('CenteredEuler3DTransform', 'itk::CenteredEuler3DTransform', 'itkCenteredEuler3DTransformD', 'double'),
  ('CenteredRigid2DTransform', 'itk::CenteredRigid2DTransform', 'itkCenteredRigid2DTransformD', 'double'),
  ('CenteredSimilarity2DTransform', 'itk::CenteredSimilarity2DTransform', 'itkCenteredSimilarity2DTransformD', 'double'),
  ('ElasticBodyReciprocalSplineKernelTransform', 'itk::ElasticBodyReciprocalSplineKernelTransform', 'itkElasticBodyReciprocalSplineKernelTransformD2', 'double,2'),
  ('ElasticBodyReciprocalSplineKernelTransform', 'itk::ElasticBodyReciprocalSplineKernelTransform', 'itkElasticBodyReciprocalSplineKernelTransformD3', 'double,3'),
  ('ElasticBodyReciprocalSplineKernelTransform', 'itk::ElasticBodyReciprocalSplineKernelTransform', 'itkElasticBodyReciprocalSplineKernelTransformD4', 'double,4'),
  ('ElasticBodySplineKernelTransform', 'itk::ElasticBodySplineKernelTransform', 'itkElasticBodySplineKernelTransformD2', 'double,2'),
  ('ElasticBodySplineKernelTransform', 'itk::ElasticBodySplineKernelTransform', 'itkElasticBodySplineKernelTransformD3', 'double,3'),
  ('ElasticBodySplineKernelTransform', 'itk::ElasticBodySplineKernelTransform', 'itkElasticBodySplineKernelTransformD4', 'double,4'),
  ('FixedCenterOfRotationAffineTransform', 'itk::FixedCenterOfRotationAffineTransform', 'itkFixedCenterOfRotationAffineTransformD2', 'double,2'),
  ('FixedCenterOfRotationAffineTransform', 'itk::FixedCenterOfRotationAffineTransform', 'itkFixedCenterOfRotationAffineTransformD3', 'double,3'),
  ('FixedCenterOfRotationAffineTransform', 'itk::FixedCenterOfRotationAffineTransform', 'itkFixedCenterOfRotationAffineTransformD4', 'double,4'),
  ('IdentityTransform', 'itk::IdentityTransform', 'itkIdentityTransformD2', 'double,2'),
  ('IdentityTransform', 'itk::IdentityTransform', 'itkIdentityTransformD3', 'double,3'),
  ('IdentityTransform', 'itk::IdentityTransform', 'itkIdentityTransformD4', 'double,4'),
  ('QuaternionRigidTransform', 'itk::QuaternionRigidTransform', 'itkQuaternionRigidTransformD', 'double'),
  ('Rigid2DTransform', 'itk::Rigid2DTransform', 'itkRigid2DTransformD', 'double'),
  ('Rigid3DPerspectiveTransform', 'itk::Rigid3DPerspectiveTransform', 'itkRigid3DPerspectiveTransformD', 'double'),
  ('Rigid3DTransform', 'itk::Rigid3DTransform', 'itkRigid3DTransformD', 'double'),
  ('ScaleLogarithmicTransform', 'itk::ScaleLogarithmicTransform', 'itkScaleLogarithmicTransformD2', 'double,2'),
  ('ScaleLogarithmicTransform', 'itk::ScaleLogarithmicTransform', 'itkScaleLogarithmicTransformD3', 'double,3'),
  ('ScaleLogarithmicTransform', 'itk::ScaleLogarithmicTransform', 'itkScaleLogarithmicTransformD4', 'double,4'),
  ('ScaleSkewVersor3DTransform', 'itk::ScaleSkewVersor3DTransform', 'itkScaleSkewVersor3DTransformD', 'double'),
  ('ScaleVersor3DTransform', 'itk::ScaleVersor3DTransform', 'itkScaleVersor3DTransformD', 'double'),
  ('ThinPlateR2LogRSplineKernelTransform', 'itk::ThinPlateR2LogRSplineKernelTransform', 'itkThinPlateR2LogRSplineKernelTransformD2', 'double,2'),
  ('ThinPlateR2LogRSplineKernelTransform', 'itk::ThinPlateR2LogRSplineKernelTransform', 'itkThinPlateR2LogRSplineKernelTransformD3', 'double,3'),
  ('ThinPlateR2LogRSplineKernelTransform', 'itk::ThinPlateR2LogRSplineKernelTransform', 'itkThinPlateR2LogRSplineKernelTransformD4', 'double,4'),
  ('ThinPlateSplineKernelTransform', 'itk::ThinPlateSplineKernelTransform', 'itkThinPlateSplineKernelTransformD2', 'double,2'),
  ('ThinPlateSplineKernelTransform', 'itk::ThinPlateSplineKernelTransform', 'itkThinPlateSplineKernelTransformD3', 'double,3'),
  ('ThinPlateSplineKernelTransform', 'itk::ThinPlateSplineKernelTransform', 'itkThinPlateSplineKernelTransformD4', 'double,4'),
  ('TranslationTransform', 'itk::TranslationTransform', 'itkTranslationTransformD2', 'double,2'),
  ('TranslationTransform', 'itk::TranslationTransform', 'itkTranslationTransformD3', 'double,3'),
  ('TranslationTransform', 'itk::TranslationTransform', 'itkTranslationTransformD4', 'double,4'),
  ('VolumeSplineKernelTransform', 'itk::VolumeSplineKernelTransform', 'itkVolumeSplineKernelTransformD2', 'double,2'),
  ('VolumeSplineKernelTransform', 'itk::VolumeSplineKernelTransform', 'itkVolumeSplineKernelTransformD3', 'double,3'),
  ('VolumeSplineKernelTransform', 'itk::VolumeSplineKernelTransform', 'itkVolumeSplineKernelTransformD4', 'double,4'),
)
